function fig = kriging3dfig()
%% function fig = kriging3dfig() establishes a GUI configuration for task Krig, 
%% it opens the kriging window
%%
%%  Kriging Software Package  version 3.0,   May 1, 2004
%%  Copyright (c) 1999, 2001, 2004, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

global hdl data para color

grey=color.grey;
dark_grey=color.dark_grey;
blue=color.blue;

if ~isempty(findobj('type','figure','Tag','Kriging')) 
  figure(hdl.krig.h0);
  if isfield(para.dataprep,'fileID')
    set(hdl.krig.fileID,'string',para.dataprep.fileID);
  end
  return
end

hdl.krig.h0= figure('Units','normalized', ...
	'Color',color.background, ...
	'Name','Kriging Configuration', ...
	'Tag','Kriging', ...
	'Position',hdl.window_position,'NumberTitle','off');
      set(0, 'showhidden', 'on')
      ch=get(gcf, 'children');
%	delete(ch(1))								%Help
   wmhdl=findobj(ch,'Label','&Help');		
   delete(wmhdl);
   ch(find(ch == wmhdl))=[];
%	delete(ch(3))								%Tools
   wmhdl=findobj(ch,'Label','&Tools');		
   delete(wmhdl);
   ch(find(ch == wmhdl))=[];
%     new feature in V6.x delete(ch(6))			%Edit
   wmhdl=findobj(ch,'Label','&Edit');		
   delete(wmhdl);
   ch(find(ch == wmhdl))=[];
%      new feature in V6.x                      %insert
   wmhdl=findobj(ch,'Label','&Insert');		
   if ~isempty(wmhdl)
     delete(wmhdl);
     ch(find(ch == wmhdl))=[];
   end
%      new feature in V6.x                      %View
   wmhdl=findobj(ch,'Label','&View');		
   if ~isempty(wmhdl)
     delete(wmhdl);
     ch(find(ch == wmhdl))=[];
   end
%      new feature of V7.0                      
   wmhdl=findobj(ch,'Label','&Desktop');	    %Desktop
   if ~isempty(wmhdl)
     delete(wmhdl);
     ch(find(ch == wmhdl))=[];
   end
Filehdl=findobj(ch,'Label','&File');
ch_file=get(Filehdl,'children');
%% ch_file   1  '&Print...'
%            2  'Print Pre&view...'
%            3  'Print Set&up...'
%            4  'Pa&ge Setup...'
%            5  'Pre&ferences...'
%            6  '&Export...'
%            7  'Save &As...'
%            8  '&Save'
%            9  '&Close'
%           10  '&Open...'
%           11  '&New Figure'
set(findobj(ch_file(1:end),'Label','&Open...'),'Label','&Load Data File','callback','file_browser3d(3,2);')
file_hdl=findobj(ch_file,'Label','&New Figure');
if ~isempty(file_hdl) 
   delete(file_hdl);
   ch_file(find(ch_file == file_hdl))=[];	
end
set(findobj(ch_file(1:end),'Label','&Save'),'Label','Save &Figure As','callback','file_browser3d(4,3);')
file_hdl=findobj(ch_file,'Label','Save &As...');
if ~isempty(file_hdl) 
   delete(file_hdl);
   ch_file(find(ch_file == file_hdl))=[];	
end
file_hdl=findobj(ch_file,'Label','&Export...');
if ~isempty(file_hdl) 
   delete(file_hdl);
   ch_file(find(ch_file == file_hdl))=[];	
end	
file_hdl=findobj(ch_file,'Label','Pre&ferences...');
if ~isempty(file_hdl) 
   delete(file_hdl);
   ch_file(find(ch_file == file_hdl))=[];	
end


h2= uimenu('Parent',hdl.krig.h0,'label','&Task');
h20=uimenu(h2,'label','&Navigator','callback','main_menu3d','separator','off');
h2a=uimenu(h2,'label','   &Load Data','callback','dataprep3dfig;','separator','on');
h2b=uimenu(h2,'label','   &Variogram','callback','variogram3dfig;','separator','off');
h2d=uimenu(h2,'label','   &Visualization','callback','dispkrig3dfig;','separator','off');
%h2e=uimenu(h2,'label','   &Save Output','callback','file_browser(5);','separator','off');
h2e= uimenu(h2,'label','&Save Window Position','callback','save_window_pos(hdl.krig.h0);','separator','on');

hdl.kriging.help=uimenu(hdl.krig.h0,'label','&Help','separator','off');
%% Kriging grid coordinates
hdl_kriging_help_C=uimenu(hdl.kriging.help,'label','&Coordinates','separator','on');
uimenu(hdl_kriging_help_C,'label','   X-axis','Callback','kriging_help(1)','separator','off');
uimenu(hdl_kriging_help_C,'label','   Y-axis','Callback','kriging_help(1)','separator','off');
uimenu(hdl_kriging_help_C,'label','   Z-axis','Callback','kriging_help(1)','separator','off');
uimenu(hdl_kriging_help_C,'label','   Minimum','Callback','kriging_help(1)','separator','off');
uimenu(hdl_kriging_help_C,'label','   Maximum','Callback','kriging_help(1)','separator','off');
uimenu(hdl_kriging_help_C,'label','   Resolution','Callback','kriging_help(1)','separator','off');
uimenu(hdl_kriging_help_C,'label','   Customized Grid File','Callback','kriging_help(20)','separator','on');
%% kriging parameters
hdl_kriging_help_KP=uimenu(hdl.kriging.help,'label','&Kriging Parameters','separator','on');
hdl_kriging_help_K1=uimenu(hdl_kriging_help_KP,'label','Model','separator','off');
uimenu(hdl_kriging_help_K1,'label','   Simple Kriging','Callback','kriging_help(2)','separator','off');
uimenu(hdl_kriging_help_K1,'label','   Ordinary Kriging','Callback','kriging_help(2)','separator','off');
uimenu(hdl_kriging_help_K1,'label','   Universal Kriging (Linear drift)','Callback','kriging_help(2)','separator','off');
hdl_kriging_help_K2=uimenu(hdl_kriging_help_KP,'label','Scheme','separator','on');
uimenu(hdl_kriging_help_K2,'label','   Point to Point','Callback','kriging_help(3)','separator','off');
uimenu(hdl_kriging_help_K2,'label','   Point to Block','Callback','kriging_help(3)','separator','off');
hdl_kriging_help_KB=uimenu(hdl_kriging_help_KP,'label','   Block Size','separator','off');
uimenu(hdl_kriging_help_KB,'label','      (X,Y,Z)','Callback','kriging_help(3)','separator','off');

%% Other kriging parameters
hdl_kriging_help_K3=uimenu(hdl_kriging_help_KP,'label','Other parameters','separator','on');
uimenu(hdl_kriging_help_K3,'label','   Search Radius','Callback','kriging_help(5)','separator','off');
uimenu(hdl_kriging_help_K3,'label','   Minimum Krig Points','Callback','kriging_help(5)','separator','off');
uimenu(hdl_kriging_help_K3,'label','   Maximum Krig Points','Callback','kriging_help(5)','separator','off');
uimenu(hdl_kriging_help_K3,'label','   Relative Variance','Callback','kriging_help(5)','separator','off');

%% Variogram/Krig Parameter files
hdl_kriging_help_PF=uimenu(hdl.kriging.help,'label','&Parameter File','separator','on');
uimenu(hdl_kriging_help_PF,'label','   Load','Callback','kriging_help(6)','separator','off');
uimenu(hdl_kriging_help_PF,'label','   Save','Callback','kriging_help(6)','separator','off');
uimenu(hdl_kriging_help_PF,'label','     Variogram Parameters Only','Callback','kriging_help(6)','separator','on');
uimenu(hdl_kriging_help_PF,'label','     Kriging Parameters Only','Callback','kriging_help(6)','separator','off');
uimenu(hdl_kriging_help_PF,'label','     Both Parameter Files ','Callback','kriging_help(6)','separator','off');

%% Data/Data Format Fils
hdl_kriging_help_DF=uimenu(hdl.kriging.help,'label','&Data File','separator','on');
uimenu(hdl_kriging_help_DF,'label','   Load Data Format','Callback','kriging_help(7)','separator','off');
uimenu(hdl_kriging_help_DF,'label','   Load Data File','Callback','kriging_help(8)','separator','off');

%% Batch Kriging 
hdl_kriging_help_BP=uimenu(hdl.kriging.help,'label','&Batch File Processing','separator','on');
uimenu(hdl_kriging_help_BP,'label','   Load Filename-list File','Callback','kriging_help(9)','separator','off');
uimenu(hdl_kriging_help_BP,'label','   Save BatchProc Log File','Callback','kriging_help(9)','separator','off');
uimenu(hdl_kriging_help_BP,'label','   Batch Krig','Callback','kriging_help(9)','separator','off');

% Push Buttons
hdl_kriging_help_PB=uimenu(hdl.kriging.help,'label','&Push Buttons','separator','on');
uimenu(hdl_kriging_help_PB,'label','   Krig','Callback','kriging_help(10)','separator','off');
uimenu(hdl_kriging_help_PB,'label','   Refresh','Callback','kriging_help(10)','separator','off');
uimenu(hdl_kriging_help_PB,'label','   Navigator','Callback','kriging_help(10)','separator','off');
uimenu(hdl_kriging_help_PB,'label','   Quit','Callback','kriging_help(10)','separator','off');

hdl_quit=uimenu(hdl.krig.h0,'label','Quit','separator','on');
uimenu(hdl_quit,'label','&Close Current Window','Callback','close_window(3)','separator','off');
uimenu(hdl_quit,'label','&Quit EasyKrig','Callback','close all','separator','off');

%% FILE ID
if isfield(para.dataprep,'fileID')
    fileIDstr=para.dataprep.fileID;
else
    fileIDstr=' ';
end
hdl.krig.fileID = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.5], ...
	'Position',[0.27 0.95 0.48 0.03], ...
	'String',fileIDstr, ...
	'Style','text', ...
	'Tag','KrigFileID');

%% Coordinate frame
x00=0.08;y00=0.54;Yf=.33;
Lvarstr=0.1;Lvalue=0.08;Lslider=0.15;dx=0.005;
Ly=hdl.object.edit_w;dy=0.05;
x0=0.10;y0=y00+Yf-dy-0.08;

h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Position',[x00 y00 0.40 Yf], ...
	'Style','frame', ...
	'Tag','FrmCoord');
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 1], ...
	'Position',[x00+0.1 y00+Yf-0.015 0.2 0.04], ...
	'String','Coordinates', ...
   'Style','text');

%% X,Y Z labels
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontWeight','bold', ...
	'HorizontalAlignment','center', ...
	'Position',[x0+Lvarstr+dx y0+Ly+0.01 Lvalue Ly], ...
	'String','X', ...
	'Style','text');
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontWeight','bold', ...
	'HorizontalAlignment','center', ...
	'Position',[x0+Lvarstr+Lvalue+dx y0+Ly+0.01 Lvalue Ly], ...
	'String','Y', ...
	'Style','text');
hdl.krig.zlabel = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontWeight','bold', ...
	'HorizontalAlignment','center', ...
	'Position',[x0+Lvarstr+2*(Lvalue+dx) y0+Ly+0.01 Lvalue Ly], ...
	'String','Z', ...
	'Style','text');

%% min, max, resolution labels
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontWeight','bold', ...
	'HorizontalAlignment','right', ...
	'Position',[x0 y0 Lvarstr Ly], ...
	'String','Minimum', ...
	'Style','text', ...
   'Tag','minlab');
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontWeight','bold', ...
	'HorizontalAlignment','right', ...
	'Position',[x0 y0-dy Lvarstr Ly], ...
	'String','Maximum', ...
	'Style','text', ...
	'Tag','maxlab');
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontWeight','bold', ...
	'HorizontalAlignment','right', ...
	'Position',[x0 y0-2*dy Lvarstr Ly], ...
	'String','Resolution', ...
	'Style','text', ...
   'Tag','dellab');

% x-dir
hdl.krig.xmin = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+Lvarstr+dx y0 Lvalue Ly], ...
	'String',' ', ...
	'Style','edit', ...
   'Tag','xmin');
hdl.krig.xmax = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+Lvarstr+dx y0-dy Lvalue Ly], ...
	'String',' ', ...
	'Style','edit', ...
   'Tag','xmax');
hdl.krig.dx = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+Lvarstr+dx y0-2*dy Lvalue Ly], ...
	'String',' ', ...
	'Style','edit', ...
	'Tag','dx');

%% y-dir
hdl.krig.ymin = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+Lvarstr+Lvalue+2*dx y0 Lvalue Ly], ...
	'String',' ', ...
	'Style','edit', ...
	'Tag','ymin');
hdl.krig.ymax = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+Lvarstr+Lvalue+2*dx y0-dy Lvalue Ly], ...
	'String',' ', ...
	'Style','edit', ...
	'Tag','ymax');
hdl.krig.dy = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+Lvarstr+Lvalue+2*dx y0-2*dy Lvalue Ly], ...
	'String',' ', ...
	'Style','edit', ...
	'Tag','dy');

%% z-dir
hdl.krig.zmin = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+Lvarstr+2*Lvalue+3*dx y0 Lvalue Ly], ...
	'String',' ', ...
	'Style','edit', ...
	'Tag','zmin');
hdl.krig.zmax = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+Lvarstr+2*Lvalue+3*dx y0-dy Lvalue Ly], ...
	'String',' ', ...
	'Style','edit', ...
	'Tag','zmax');
hdl.krig.dz = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+Lvarstr+2*Lvalue+3*dx y0-2*dy Lvalue Ly], ...
	'String',' ', ...
	'Style','edit', ...
	'Tag','dz');

% customized grids
hdl.krig.customized_gridfile = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontWeight','bold', ...
	'Callback','radio_action(3,8)', ...
	'HorizontalAlignment','left', ...
	'Position',[x0+Lvalue y0-3.5*dy 2*Lvarstr Ly], ...
	'String','Customized Grid File', ...
	'Style','radio', ...
   'Tag','customized_grid');
hdl.krig.gridfile_browser = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'Callback','file_browser3d(3,8)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'Position',[x0+2.2*Lvarstr+0.02 y0-3.5*dy  Lvalue Ly ], ...
   'String','Browse', ...
   'Enable','off', ...
	'Tag','Gridfile');


%% Kriging parameters
%% Coordinate frame
x00=0.51;y00=0.32;Yf=.58;
Lvarstr=0.1;Lvalue=0.08;Lpopupmenu=0.25;dx=0.005;
Ly=hdl.object.edit_w;
dy=0.05;
x0=0.52;y0=y00+Yf-dy;

h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Position',[x00 y00+0.1 0.40 Yf-0.1], ...
	'Style','frame', ...
	'Tag','FrmModelPara');
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 1], ...
	'Position',[x00+0.08 y00+Yf-0.005 0.25 Ly], ...
	'String','Kriging Parameters', ...
	'Style','text');
%%% krig model
model_str={'1.  Simple Kriging','2.  Ordinary Kriging','3.  Universal Kriging (linear drift)'};
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'HorizontalAlignment','center', ...
	'FontWeight','bold', ...
	'Position',[x0+2*dx y0-0.004 Lvarstr Ly], ...
	'String',' Model', ...
	'Style','text');
hdl.krig.model = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+3*dx+Lvarstr y0 Lpopupmenu Ly], ...
	'String',model_str, ...
	'Style','popupmenu', ...
	'Tag','krigModel');

%%% krig scheme
model_str={'1.  Point to Point','2.  Point to Block'};
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'HorizontalAlignment','center', ...
	'FontWeight','bold', ...
	'Position',[x0+2*dx y0-0.004-dy Lvarstr Ly], ...
	'String',' Scheme', ...
	'Style','text');
hdl.krig.scheme = uicontrol('Parent',hdl.krig.h0, ...
   'Units','normalized', ...
   'Callback','popupmenu_action(3,2)', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+3*dx+Lvarstr y0-dy Lpopupmenu Ly], ...
	'String',model_str, ...
	'Style','popupmenu', ...
	'Tag','krigScheme');

%% block size
Lvalue_blk=0.05;
hdl.krig.blksize = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'FontWeight','bold', ...
	'BackgroundColor',grey, ...
	'Position',[x0+Lvarstr+dx y0-3*dy+0.01 Lvarstr Ly], ...
   'String','Block Size', ...
   'Enable','off',...
   'Style','text');
% block size - nx
hdl.krig.blk_X = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'FontWeight','bold', ...
	'BackgroundColor',grey, ...
	'HorizontalAlignment','center', ...
	'Position',[x0+2*(Lvarstr+dx) y0-2*dy Lvalue_blk Ly], ...
   'Enable','off',...
	'String','X', ...
	'Style','text');
hdl.krig.blk_nx = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
   'Position',[x0+2*(Lvarstr+dx) y0-3*dy+0.01 Lvalue_blk Ly], ...
	'String',' ', ...
   'Enable','off',...
	'Style','edit', ...
	'Tag','Krigblk_nx');
% block size - ny
hdl.krig.blk_Y = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'HorizontalAlignment','center', ...
	'Position',[x0+2*Lvarstr+Lvalue_blk+3*dx y0-2*dy Lvalue_blk Ly], ...
  	'FontWeight','bold', ...
	'Enable','off',...
	'String','Y', ...
	'Style','text');
hdl.krig.blk_ny = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+2*Lvarstr+Lvalue_blk+3*dx y0-3*dy+0.01 Lvalue_blk Ly], ...
   'Enable','off',...
	'String',' ', ...
	'Style','edit', ...
   'Tag','Krigblk_ny');
% block size - nz
hdl.krig.blk_Z = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
   'Enable','off',...
	'HorizontalAlignment','center', ...
	'Position',[x0+2*Lvarstr+2*Lvalue_blk+4*dx y0-2*dy Lvalue_blk Ly], ...
	'FontWeight','bold', ...
	'String','Z', ...
	'Style','text');
hdl.krig.blk_nz = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+2*Lvarstr+2*Lvalue_blk+4*dx y0-3*dy+0.01 Lvalue_blk Ly], ...
	'String',' ', ...
   'Enable','off',...
	'Style','edit', ...
	'Tag','Krigblk_nz');

%% kriging Parameters
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'Position',[x0+2*dx y0-4.3*dy Lvarstr+0.01 Ly], ...
	'String','Parameters', ...
   'Style','text');
%% search radius
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Position',[x0+Lvarstr y0-5*dy Lslider Ly], ...
	'String','Search Radius', ...
	'Style','text');
hdl.krig.srad = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+Lvarstr+Lslider y0-5*dy Lvalue+dx Ly], ...
	'String','', ...
	'Style','edit', ...
	'Tag','srad');
%% minimum krig points
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Position',[x0+Lvarstr y0-6*dy Lslider Ly], ...
	'String','Min. Kriging Points', ...
	'Style','text');
hdl.krig.kmin = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+Lvarstr+Lslider y0-6*dy Lvalue+dx Ly], ...
	'String',' ', ...
	'Style','edit', ...
	'Tag','kmin');
%% maximum krig points
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Position',[x0+Lvarstr y0-7.0*dy Lslider Ly], ...
	'String','Max. Kriging Points', ...
	'Style','text');
hdl.krig.kmax = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+Lvarstr+Lslider y0-7*dy Lvalue+dx Ly], ...
	'String',' ', ...
	'Style','edit', ...
	'Tag','kmax');
%% relative variance limit
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Position',[x0+Lvarstr y0-8.0*dy Lslider Ly], ...
	'String','Relative Variance', ...
	'Style','text');
hdl.krig.elim = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+Lvarstr+Lslider y0-8.0*dy Lvalue+dx Ly], ...
	'String','', ...
	'Style','edit', ...
	'Tag','elim');

%% Load/Save Parameter file frame
x00=0.08;y00=0.25;Yf=.23;
Lvarstr=0.15;Lvalue=0.08;Lslider=0.13;dx=0.005;
dy=0.05;
x0=0.12;y0=y00+Yf-dy;
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Position',[x00 y00 0.40 Yf], ...
	'Style','frame', ...
	'Tag','FrmParaFile');
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 1], ...
	'Position',[x00+0.07 y00+Yf-0.015 0.2 Ly], ...
	'String','Parameter File', ...
	'Style','text');

Lparafile=0.22;
hdl.krig.load_para = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Callback','radio_action(3,1)', ...
	'FontWeight','bold', ...
	'Position',[x00+0.01 y00+Yf-1.5*dy Lslider+0.02 Ly], ...
	'String','Load File', ...
	'Style','radio', ...
	'Tag','LoadParaFile');
hdl.krig.save_para = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Callback','radio_action(3,2)', ...
	'FontWeight','bold', ...
	'Position',[x00+Lslider+0.03 y00+Yf-1.5*dy Lslider+0.05 Ly], ...
	'String','Save  File', ...
	'Style','radio', ...
	'Tag','SaveParaFile');
hdl.krig.vario_para = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Callback','radio_action(3,3)', ...
	'FontWeight','bold', ...
	'Position',[x00+0.01 y00+Yf-2.6*dy Lparafile Ly], ...
	'String','variogram parameters only', ...
	'Style','radio', ...
	'Enable','off', ...
	'Tag','VarioParaFile');
hdl.krig.krig_para = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Callback','radio_action(3,4)', ...
	'FontWeight','bold', ...
	'Position',[x00+0.01 y00+Yf-3.4*dy Lparafile Ly], ...
	'String','kriging parameters only', ...
	'Style','radio', ...
	'Enable','off', ...
	'Tag','KrigParaFile');
hdl.krig.both_para = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Callback','radio_action(3,5)', ...
	'FontWeight','bold', ...
	'Position',[x00+0.01 y00+Yf-4.2*dy Lparafile Ly], ...
	'String','both parameters ', ...
	'Style','radio', ...
	'Enable','off', ...
	'Tag','BothParaFile');
hdl.krig.para_file_browser = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'Callback','file_browser3d(3,1)', ...
	'Position',[x00+0.05+dx+Lparafile y00+Yf-3.4*dy Lvalue Ly], ...
	'String','Browse', ...
   'Enable','off', ...
	'Tag','ParaFileBrowser');

%% Load data file frame
x00=0.08;y00=0.06;Yf=.12;
Lvarstr=0.15;Lvalue=0.06;Lslider=0.15;dx=0.005;dy=0.045;
x0=0.12;y0=y00+Yf-1.3*dy;
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Position',[x00 y00 0.40 Yf], ...
	'Style','frame', ...
	'Tag','FrmdataFile');
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'HorizontalAlignment','left', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 1], ...
	'Position',[x00+0.07 y00+Yf-0.015 0.2 0.04], ...
	'String','Data File', ...
	'Style','text');

hdl.krig.load_data_format_file = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Callback','radio_action(3,9)', ...
	'HorizontalAlignment','left', ...
	'FontSize',8, ...
	'FontWeight','bold', ...
	'Position',[x00+0.01 y0 Lvarstr Ly], ...
	'String','Load Data Format', ...
	'Style','radio', ...
	'Tag','LoadDataFormatFile');
hdl.krig.data_format_file_browser = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'Callback','file_browser3d(3,9)', ...
	'Position',[x00+0.13 y0 Lvalue Ly], ...
	'String','Browse', ...
    'Enable','off', ...
	'Tag','DataFormatFileBrowser');
hdl.krig.load_data_file = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'HorizontalAlignment','left', ...
	'BackgroundColor',grey, ...
	'FontSize',8, ...
	'Callback','radio_action(3,6)', ...
	'FontWeight','bold', ...
	'Position',[x00+0.15+Lvalue y0 Lvarstr Ly], ...
	'String','Load Data File', ...
	'Style','radio', ...
	'Tag','LoadDataFile');
hdl.krig.data_file_browser = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'Callback','file_browser3d(3,2)', ...
	'Position',[x00+0.26+Lvalue y0 Lvalue Ly], ...
	'String','Browse', ...
   'Enable','off', ...
	'Tag','DataFileBrowser');
hdl.krig.data_file = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'HorizontalAlignment','left', ...
	'Position',[x00+0.04 y0-dy 0.25 0.8*Ly], ...
	'String',' ', ...
	'Style','edit', ...
    'visible','off', ...
	'Tag','DataFileName');

%% batch processing
%%  frame
x00=0.51;y00=0.18;Yf=.18;
Lvarstr=0.22;Lvalue=0.08;Lslider=0.15;dx=0.005;dy=0.045;
x0=0.52;y0=y00+Yf-1.5*dy;
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Position',[x00 y00 0.40 Yf], ...
	'Style','frame', ...
	'Tag','FrmBatch');
hdl.krig.batch_file_proc  = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Callback','radio_action(3,7)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 1], ...
	'Position',[x00+0.07 y00+Yf-0.015 0.30 0.04], ...
	'String','Batch Processing', ...
	'Style','radio');

hdl.krig.batch_data_file = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'Position',[x00+0.02+Ly y0 Lvarstr Ly], ...
	'String','Load filename-list file', ...
   'enable','off', ...
	'Style','text');
hdl.krig.batch_data_file_browser = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'Callback','file_browser3d(3,6)', ...
	'Position',[x00+0.3 y0 Lvalue Ly], ...
	'String','Browse', ...
   'Enable','off', ...
	'Tag','LoadBatFileBrowser');
hdl.krig.batch_log_file = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontWeight','bold', ...
	'Position',[x00+0.02+Ly y0-dy Lvarstr Ly], ...
	'HorizontalAlignment','left', ...
   'enable','off', ...
	'String','Save batch log file', ...
	'Style','text');
hdl.krig.batch_log_file_browser = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'Callback','file_browser3d(3,7)', ...
	'Position',[x00+0.3 y0-dy Lvalue Ly], ...
	'String','Browse', ...
   'Enable','off', ...
	'Tag','DataFileBrowser');
hdl.krig.batch_krig = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'Callback','batch_krig', ...
	'FontWeight','bold', ...
	'Position',[x00+0.3-Lvalue y0-2*dy 2*Lvalue Ly], ...
	'String','Batch Krig', ...
   'Enable','off', ...
	'Tag','BatchKrig');

%% push buttons
pbtn_w=hdl.object.pushbtn_w;
pbtn_l=hdl.object.pushbtn_l;
hdl.krig.krig_button = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'Callback','krig3dmanager', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'Position',[0.6 0.05+pbtn_w+0.01  pbtn_l pbtn_w], ...
	'String','Krig', ...
	'Tag','Krig');
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'Callback','set3dkrigpara(1)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'Position',[0.60 0.05 pbtn_l pbtn_w], ...
	'String','Refresh', ...
	'Tag','Refresh');
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'Callback','figure(hdl.navigator.h0)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'Position',[0.80 0.05+pbtn_w+0.01  pbtn_l pbtn_w], ...
	'String','Navigator', ...
	'Tag','Navigator');
h1 = uicontrol('Parent',hdl.krig.h0, ...
	'Units','normalized', ...
	'Callback','close_window(3)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'Position',[0.80 0.05  pbtn_l pbtn_w], ...
	'String','Quit', ...
	'Tag','QuitKrig');

if 0
set(gcf,'menubar','none');
hdl.krig.h1=uimenu(hdl.krig.h0,'label','&File','separator','on');
hdl.krig.h1a=uimenu(hdl.krig.h1,'label','&Load Parameters','separator','on');
hdl.krig.h1a1=uimenu(hdl.krig.h1a,'label','Variogram Parameters','callback','file_browser(3,3,1);','separator','on');
hdl.krig.h1a2=uimenu(hdl.krig.h1a,'label','Kriging Parameters','callback','file_browser(3,3,2);','separator','on');
hdl.krig.h1a3=uimenu(hdl.krig.h1a,'label','Both Parameter Structures','callback','file_browser(3,3,3);','separator','on');
hdl.krig.h1b=uimenu(hdl.krig.h1,'label','Save &Parameters','callback','file_browser(3,4);','separator','on');
hdl.krig.h1c=uimenu(hdl.krig.h1,'label','L&Oad Data','callback','file_browser(3,5);','separator','on');
hdl.krig.h1d=uimenu(hdl.krig.h1,'label','&Quit','callback','close_window(3)','separator','on');

h2= uimenu('Parent',hdl.krig.h0,'label','&Navigator');
h2a=uimenu(h2,'label','&Open','callback','figure(hdl.navigator.h0);');
h3= uimenu('Parent',hdl.krig.h0,'label','&Load Data');
h3a= uimenu(h3,'label','&Open','callback','dataprep3dfig;');
h3b= uimenu(h3,'label','&Close','callback','close_window(1);');
h4=uimenu('Parent',hdl.krig.h0,'label','&Variogram');
h4a= uimenu(h4,'label','&Open','callback','variogram3dfig;');
h4b= uimenu(h4,'label','&Close','callback','close_window(2);');
h6= uimenu('Parent',hdl.krig.h0,'label','&Display');
h6a= uimenu(h6,'label','&Open','callback','visualization3dfig;');
h6b= uimenu(h6,'label','&Close','callback','close_window(4);');
h9= uimenu('Parent',hdl.krig.h0,'label','&Quit');
h9a= uimenu(h9,'label','&Close','callback','close_window(3);');
h9b= uimenu(h9,'label','Quit &EasyKrig','callback','close all;');
end

getdefault3dkrigpara
hdl.status.krigingfig = 1;
para.status.krigingfig = 1;

if nargout > 0, fig = hdl.krig.h0; end


