function dispkrig3dfig(opt)
%% function  dispkrig3dfig() establishes a GUI configuration for task Visualization, 
%% it opens the Visualization window
%% opt = []		not necessarily redraw figure
%%       2     redraw figure anyway
%%
%%  Kriging Software Package  version 3.0,   May 1, 2004
%%  Copyright (c) 1999, 2001, 2004, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

global hdl para data 

grey=[0.75 0.75 0.75];
dark_grey=[0.65 0.65 0.65];

default_setting=0;
if ~isfield(data, 'in') 
   data.in.dim=3;		% default setting
   default_setting=1;
end


if ~isempty(findobj('type','figure','Tag','DisplayKrig3D')) 
  if nargin == 0   
  		figure(hdl.dispkrig3d.h0);
  		set(hdl.dispkrig3d.h0,'Name','Visualization','NumberTitle','off');
  		if isfield(para.dataprep,'fileID')
    		set(hdl.dispkrig3d.fileID,'string',para.dataprep.fileID);
  		end
      return
   else
      close(hdl.dispkrig3d.h0)
   end
end

if para.status.krigingfig == 1
	xstep=1/para.krig.nx;
	ystep=1/para.krig.ny;
    zstep=1/para.krig.nz;
else
   xstep=0.05;
   ystep=0.05;
   zstep=0.05;
end

if para.status.dataprep == 0 & ~isfield(para.dataprep,'fileID')
   para.dataprep.fileID=' ';
end

EPS=0.001;


%	
if para.platform == 2           % Unix
hdl.dispkrig3d.h0= figure('Units','normalized', ...
	'Color',[0.8 0.8 0.8], ...
	'Name','Visualization', ...
    'Renderer','zbuffer', ...
    'Tag','DisplayKrig3D', ...
    'NumberTitle','off', ...
	'RendererMode','manual',...
    'Position',hdl.window_position,...
    'Xvisual',para.Xvisual);
else
hdl.dispkrig3d.h0= figure('Units','normalized', ...
	'Color',[0.8 0.8 0.8], ...
	'Name','Visualization', ...
   'Renderer','zbuffer', ...
   'Tag','DisplayKrig3D', ...
   'NumberTitle','off', ...
	'RendererMode','manual','Position',hdl.window_position);
end
   % set(gcf,'menubar','none');
if 1
      set(0, 'showhidden', 'on')
      ch=get(gcf, 'children');
%	delete(ch(1))								%Help
   wmhdl=findobj(ch,'Label','&Help');		
   delete(wmhdl);
   ch(find(ch == wmhdl))=[];
%     new feature in V6.x delete(ch(6))			%Edit
   wmhdl=findobj(ch,'Label','&Edit');		
   delete(wmhdl);
   ch(find(ch == wmhdl))=[];
%      new feature in V6.x                      %insert
   wmhdl=findobj(ch,'Label','&Insert');		
   if ~isempty(wmhdl)
     delete(wmhdl);
     ch(find(ch == wmhdl))=[];
   end
%      new feature in V6.x                      %View
   wmhdl=findobj(ch,'Label','&View');		
   if ~isempty(wmhdl)
     delete(wmhdl);
     ch(find(ch == wmhdl))=[];
   end
%      new feature in V6.x                      %Tools|Edit Plot
   wmhdl=findobj(ch,'Label','&Edit Plot');		
   if ~isempty(wmhdl)
     delete(wmhdl);
     ch(find(ch == wmhdl))=[];
   end
%      new feature of V7.0                      
   wmhdl=findobj(ch,'Label','&Desktop');	    %Desktop
   if ~isempty(wmhdl)
     delete(wmhdl);
     ch(find(ch == wmhdl))=[];
   end
end
Filehdl=findobj(ch,'Label','&File');
ch_file=get(Filehdl,'children');
%% ch_file   1  '&Print...'
%            2  'Print Pre&view...'
%            3  'Print Set&up...'
%            4  'Pa&ge Setup...'
%            5  'Pre&ferences...'
%            6  '&Export...'
%            7  'Save &As...'
%            8  '&Save'
%            9  '&Close'
%           10  '&Open...'
%           11  '&New Figure'
set(findobj(ch_file(1:end),'Label','&Open...'),'Label','&Load','callback','file_browser3d(4,1);')
set(findobj(ch_file(1:end),'Label','Save &As...'),'Label','&Save File As','callback','file_browser3d(4,2);')
set(findobj(ch_file(1:end),'Label','&Save'),'Label','Save &Figure As','callback','file_browser3d(4,3);')
file_hdl=findobj(ch_file,'Label','&New Figure');
if ~isempty(file_hdl) 
   delete(file_hdl);
   ch_file(find(ch_file == file_hdl))=[];	
end
h2= uimenu('Parent',hdl.dispkrig3d.h0,'label','&Task');
h20=uimenu(h2,'label','&Navigator','callback','main_menu3d','separator','off');
h2a=uimenu(h2,'label','   &Load Data','callback','dataprep3dfig;','separator','on');
h2b=uimenu(h2,'label','   &Variogram','callback','variogram3dfig;','separator','off');
h2c=uimenu(h2,'label','   &Kriging','callback','kriging3dfig;','separator','off');
h2e= uimenu(h2,'label','&Save Window Position','callback','save_window_pos(hdl.dispkrig3d.h0);','separator','on');
%h2d=uimenu(h2,'label','   &Visualization','callback','dispkrig3dfig;','separator','off');

hdl.dispkrig3d.track_line=uimenu(hdl.dispkrig3d.h0,'label','&Data');
hdl.dispkrig3d.trackline.c1=uimenu(hdl.dispkrig3d.track_line,'label','Color-Coded','callback','advanced_dispkrig3d(1,1)','separator','off','checked','on');
hdl.dispkrig3d.trackline.c2=uimenu(hdl.dispkrig3d.track_line,'label','Black/White','separator','off');
hdl.dispkrig3d.trackline.c2color1=uimenu(hdl.dispkrig3d.trackline.c2,'label','White','callback','advanced_dispkrig3d(1,2,1)','separator','off');
hdl.dispkrig3d.trackline.c2color2=uimenu(hdl.dispkrig3d.trackline.c2,'label','Black','callback','advanced_dispkrig3d(1,2,2)','separator','off');


if data.in.dim == 2
  hdl.dispkrig3d.trackline.c3=uimenu(hdl.dispkrig3d.track_line,'label','Value','separator','off');
%% color
  hdl.dispkrig3d.trackline.c3color=uimenu(hdl.dispkrig3d.trackline.c3,'label','Text Face Color','separator','off');
  hdl.dispkrig3d.trackline.c3color1=uimenu(hdl.dispkrig3d.trackline.c3color,'label','Yellow','callback','advanced_dispkrig3d(1,3,3,1)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c3color2=uimenu(hdl.dispkrig3d.trackline.c3color,'label','Magenta','callback','advanced_dispkrig3d(1,3,3,2)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c3color3=uimenu(hdl.dispkrig3d.trackline.c3color,'label','Cyan','callback','advanced_dispkrig3d(1,3,3,3)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c3color4=uimenu(hdl.dispkrig3d.trackline.c3color,'label','Red','callback','advanced_dispkrig3d(1,3,3,4)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c3color5=uimenu(hdl.dispkrig3d.trackline.c3color,'label','Green','callback','advanced_dispkrig3d(1,3,3,5)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c3color6=uimenu(hdl.dispkrig3d.trackline.c3color,'label','Blue','callback','advanced_dispkrig3d(1,3,3,6)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c3color7=uimenu(hdl.dispkrig3d.trackline.c3color,'label','White','callback','advanced_dispkrig3d(1,3,3,7)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c3color8=uimenu(hdl.dispkrig3d.trackline.c3color,'label','Black','callback','advanced_dispkrig3d(1,3,3,8)','separator','off','checked','on');
%% fontsize of numerical values of the raw data
  hdl.dispkrig3d.trackline.c3size=uimenu(hdl.dispkrig3d.trackline.c3,'label','Fontsize','separator','off');
  hdl.dispkrig3d.trackline.c3size4=uimenu(hdl.dispkrig3d.trackline.c3size,'label','4','callback','advanced_dispkrig3d(1,3,4,4)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c3size5=uimenu(hdl.dispkrig3d.trackline.c3size,'label','5','callback','advanced_dispkrig3d(1,3,4,5)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c3size6=uimenu(hdl.dispkrig3d.trackline.c3size,'label','6','callback','advanced_dispkrig3d(1,3,4,6)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c3size7=uimenu(hdl.dispkrig3d.trackline.c3size,'label','7','callback','advanced_dispkrig3d(1,3,4,7)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c3size8=uimenu(hdl.dispkrig3d.trackline.c3size,'label','8','callback','advanced_dispkrig3d(1,3,4,8)','separator','off','checked','on');
  hdl.dispkrig3d.trackline.c3size9=uimenu(hdl.dispkrig3d.trackline.c3size,'label','9','callback','advanced_dispkrig3d(1,3,4,9)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c3size10=uimenu(hdl.dispkrig3d.trackline.c3size,'label','10','callback','advanced_dispkrig3d(1,3,4,10)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c3size11=uimenu(hdl.dispkrig3d.trackline.c3size,'label','11','callback','advanced_dispkrig3d(1,3,4,11)','separator','off','checked','off');
end

if data.in.dim == 2
  hdl.dispkrig3d.trackline.c4=uimenu(hdl.dispkrig3d.track_line,'label','Error','separator','off');
%% color
  hdl.dispkrig3d.trackline.c4color=uimenu(hdl.dispkrig3d.trackline.c4,'label','Text Face Color','separator','off');
  hdl.dispkrig3d.trackline.c4color1=uimenu(hdl.dispkrig3d.trackline.c4color,'label','Yellow','callback','advanced_dispkrig3d(1,4,3,1)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c4color2=uimenu(hdl.dispkrig3d.trackline.c4color,'label','Magenta','callback','advanced_dispkrig3d(1,4,3,2)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c4color3=uimenu(hdl.dispkrig3d.trackline.c4color,'label','Cyan','callback','advanced_dispkrig3d(1,4,3,3)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c4color4=uimenu(hdl.dispkrig3d.trackline.c4color,'label','Red','callback','advanced_dispkrig3d(1,4,3,4)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c4color5=uimenu(hdl.dispkrig3d.trackline.c4color,'label','Green','callback','advanced_dispkrig3d(1,4,3,5)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c4color6=uimenu(hdl.dispkrig3d.trackline.c4color,'label','Blue','callback','advanced_dispkrig3d(1,4,3,6)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c4color7=uimenu(hdl.dispkrig3d.trackline.c4color,'label','White','callback','advanced_dispkrig3d(1,4,3,7)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c4color8=uimenu(hdl.dispkrig3d.trackline.c4color,'label','Black','callback','advanced_dispkrig3d(1,4,3,8)','separator','off','checked','on');
%% fontsize of numerical values of difference
  hdl.dispkrig3d.trackline.c4size=uimenu(hdl.dispkrig3d.trackline.c4,'label','Fontsize','separator','off');
  hdl.dispkrig3d.trackline.c4size4=uimenu(hdl.dispkrig3d.trackline.c4size,'label','4','callback','advanced_dispkrig3d(1,4,4,4)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c4size5=uimenu(hdl.dispkrig3d.trackline.c4size,'label','5','callback','advanced_dispkrig3d(1,4,4,5)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c4size6=uimenu(hdl.dispkrig3d.trackline.c4size,'label','6','callback','advanced_dispkrig3d(1,4,4,6)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c4size7=uimenu(hdl.dispkrig3d.trackline.c4size,'label','7','callback','advanced_dispkrig3d(1,4,4,7)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c4size8=uimenu(hdl.dispkrig3d.trackline.c4size,'label','8','callback','advanced_dispkrig3d(1,4,4,8)','separator','off','checked','on');
  hdl.dispkrig3d.trackline.c4size9=uimenu(hdl.dispkrig3d.trackline.c4size,'label','9','callback','advanced_dispkrig3d(1,4,4,9)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c4size10=uimenu(hdl.dispkrig3d.trackline.c4size,'label','10','callback','advanced_dispkrig3d(1,4,4,10)','separator','off','checked','off');
  hdl.dispkrig3d.trackline.c4size11=uimenu(hdl.dispkrig3d.trackline.c4size,'label','11','callback','advanced_dispkrig3d(1,4,4,11)','separator','off','checked','off');
%  hdl.dispkrig3d.trackline.c5=uimenu(hdl.dispkrig3d.track_line,'label','None','callback','advanced_dispkrig3d(1,5)','separator','off');
end
hdl.dispkrig3d.trackline.c5=uimenu(hdl.dispkrig3d.track_line,'label','None','callback','advanced_dispkrig3d(1,5)','separator','off');

para.dispkrig.trackline.dispflag=1;

%% Color Map
hdl.dispkrig3d.color_map=uimenu(hdl.dispkrig3d.h0,'label','&Color Map');
hdl.dispkrig3d.colormap.c1=uimenu(hdl.dispkrig3d.color_map,'label','hsv','callback','advanced_dispkrig3d(2,1)','separator','off');
hdl.dispkrig3d.colormap.c2=uimenu(hdl.dispkrig3d.color_map,'label','hot','callback','advanced_dispkrig3d(2,2)','separator','off');
hdl.dispkrig3d.colormap.c3=uimenu(hdl.dispkrig3d.color_map,'label','gray','callback','advanced_dispkrig3d(2,3)','separator','off');
hdl.dispkrig3d.colormap.c4=uimenu(hdl.dispkrig3d.color_map,'label','bone','callback','advanced_dispkrig3d(2,4)','separator','off');
hdl.dispkrig3d.colormap.c5=uimenu(hdl.dispkrig3d.color_map,'label','copper','callback','advanced_dispkrig3d(2,5)','separator','off');
hdl.dispkrig3d.colormap.c6=uimenu(hdl.dispkrig3d.color_map,'label','pink','callback','advanced_dispkrig3d(2,6)','separator','off');
hdl.dispkrig3d.colormap.c7=uimenu(hdl.dispkrig3d.color_map,'label','white','callback','advanced_dispkrig3d(2,7)','separator','off');
hdl.dispkrig3d.colormap.c8=uimenu(hdl.dispkrig3d.color_map,'label','flag','callback','advanced_dispkrig3d(2,8)','separator','off');
hdl.dispkrig3d.colormap.c9=uimenu(hdl.dispkrig3d.color_map,'label','lines','callback','advanced_dispkrig3d(2,9)','separator','off');
hdl.dispkrig3d.colormap.c10=uimenu(hdl.dispkrig3d.color_map,'label','colorcube','callback','advanced_dispkrig3d(2,10)','separator','off');
hdl.dispkrig3d.colormap.c11=uimenu(hdl.dispkrig3d.color_map,'label','jet','callback','advanced_dispkrig3d(2,11)','separator','off','checked','on');
hdl.dispkrig3d.colormap.c12=uimenu(hdl.dispkrig3d.color_map,'label','prism','callback','advanced_dispkrig3d(2,12)','separator','off');
hdl.dispkrig3d.colormap.c13=uimenu(hdl.dispkrig3d.color_map,'label','cool','callback','advanced_dispkrig3d(2,13)','separator','off');
hdl.dispkrig3d.colormap.c14=uimenu(hdl.dispkrig3d.color_map,'label','autumn','callback','advanced_dispkrig3d(2,14)','separator','off');
hdl.dispkrig3d.colormap.c15=uimenu(hdl.dispkrig3d.color_map,'label','spring','callback','advanced_dispkrig3d(2,15)','separator','off');
hdl.dispkrig3d.colormap.c16=uimenu(hdl.dispkrig3d.color_map,'label','winter','callback','advanced_dispkrig3d(2,16)','separator','off');
hdl.dispkrig3d.colormap.c17=uimenu(hdl.dispkrig3d.color_map,'label','summer','callback','advanced_dispkrig3d(2,17)','separator','off');
hdl.dispkrig3d.colormap.c18=uimenu(hdl.dispkrig3d.color_map,'label','customized color map','callback','advanced_dispkrig3d(2,18)','separator','on');

hdl.dispkrig3d.help=uimenu(hdl.dispkrig3d.h0,'label','&Help','separator','off');
%% Visualization
% Coordinate control
hdl_visualization_help_C=uimenu(hdl.dispkrig3d.help,'label','(X, Y, Z) Control','separator','off');
uimenu(hdl_visualization_help_C,'label','   (X, Y, Z)','Callback','visualization_help(1)','separator','off');
uimenu(hdl_visualization_help_C,'label','   Reverse','Callback','visualization_help(1)','separator','off');
uimenu(hdl_visualization_help_C,'label','   Slider','Callback','visualization_help(1)','separator','off');

% Colorbar Control
hdl_visualization_help_Cbar=uimenu(hdl.dispkrig3d.help,'label','Colorbar Control','Callback','visualization_help(2)','separator','on');

% Display Options
hdl_visualization_help_DP=uimenu(hdl.dispkrig3d.help,'label','Display','separator','on');
uimenu(hdl_visualization_help_DP,'label','   Krig Map','Callback','visualization_help(3)','separator','off');
uimenu(hdl_visualization_help_DP,'label','   Variance Map','Callback','visualization_help(3)','separator','off');
hdl_visualization_help_VD=uimenu(hdl_visualization_help_DP,'label','   Validation','separator','off');
hdl_visualization_help_MD=uimenu(hdl_visualization_help_VD,'label','   Method','separator','off');
uimenu(hdl_visualization_help_MD,'label','   Q-1','Callback','visualization_help(5)','separator','off');
uimenu(hdl_visualization_help_MD,'label','   Q-2','Callback','visualization_help(6)','separator','off');
uimenu(hdl_visualization_help_MD,'label','   Double Kriging','Callback','visualization_help(7)','separator','off');
uimenu(hdl_visualization_help_MD,'label','   Leaving-one-out','Callback','visualization_help(8)','separator','off');
hdl_visualization_help_CMPT=uimenu(hdl_visualization_help_VD,'label','   Compute/Re-Compute','Callback','visualization_help(9)','separator','off');

% Shading Options
hdl_visualization_help_SD=uimenu(hdl.dispkrig3d.help,'label','Shading','separator','on');
uimenu(hdl_visualization_help_SD,'label','   Faceted','Callback','visualization_help(10)','separator','off');
uimenu(hdl_visualization_help_SD,'label','   Flat','Callback','visualization_help(10)','separator','off');
uimenu(hdl_visualization_help_SD,'label','   Interp','Callback','visualization_help(10)','separator','off');

% input/output File handling
hdl_visualization_help_FT=uimenu(hdl.dispkrig3d.help,'label','&File on Menu-Bar','separator','on');
uimenu(hdl_visualization_help_FT,'label','   Load','Callback','visualization_help(21)','separator','off');
uimenu(hdl_visualization_help_FT,'label','   Save Figure As','Callback','visualization_help(21)','separator','off');
uimenu(hdl_visualization_help_FT,'label','   Save File As','Callback','visualization_help(21)','separator','off');
uimenu(hdl_visualization_help_FT,'label','   Export ...','Callback','visualization_help(21)','separator','off');

% Data Display
hdl_visualization_help_DD=uimenu(hdl.dispkrig3d.help,'label','&Data on Menu-Bar','separator','off');
uimenu(hdl.dispkrig3d.help,'label','   Color-Coded','Callback','visualization_help(22)','separator','off');
uimenu(hdl.dispkrig3d.help,'label','   Black/White','Callback','visualization_help(22)','separator','off');
hdl_visualization_help_VL=uimenu(hdl.dispkrig3d.help,'label','   &Value','separator','off');
 uimenu(hdl_visualization_help_VL,'label','    Text Color','Callback','visualization_help(22)','separator','off');
 uimenu(hdl_visualization_help_VL,'label','    Text Fontsize','Callback','visualization_help(22)','separator','off');
hdl_visualization_help_ER=uimenu(hdl.dispkrig3d.help,'label','   &Error','separator','off');
 uimenu(hdl_visualization_help_ER,'label','     Text Color','Callback','visualization_help(22)','separator','off');
 uimenu(hdl_visualization_help_ER,'label','     Text Fontsize','Callback','visualization_help(22)','separator','off');
uimenu(hdl.dispkrig3d.help,'label','   &None','Callback','visualization_help(23)','separator','off');

% Color Map 
hdl_visualization_help_CM=uimenu(hdl.dispkrig3d.help,'label','&Color Map on Menu-Bar','Callback','visualization_help(24)','separator','off');

% Push Buttons
hdl_visualization_help_PB=uimenu(hdl.dispkrig3d.help,'label','&Push Buttons','separator','on');
uimenu(hdl_visualization_help_PB,'label','   Show Plot','Callback','visualization_help(11)','separator','off');
uimenu(hdl_visualization_help_PB,'label','   Load','Callback','visualization_help(11)','separator','off');
uimenu(hdl_visualization_help_PB,'label','   Navigator','Callback','visualization_help(11)','separator','off');
uimenu(hdl_visualization_help_PB,'label','   Quit','Callback','visualization_help(11)','separator','off');

% Quit
hdl_quit=uimenu(hdl.dispkrig3d.h0,'label','Quit','separator','on');
uimenu(hdl_quit,'label','&Close Current Window','Callback','close_window(4)','separator','off');
uimenu(hdl_quit,'label','&Quit EasyKrig','Callback','close all','separator','off');

%% FILE ID
hdl.dispkrig3d.fileID = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.501960784313725], ...
	'ListboxTop',0, ...
	'Position',[0.27 0.95 0.48 0.03], ...
	'String',para.dataprep.fileID, ...
	'Style','text', ...
	'Tag','VarioFileID');

hori_size=0.6;
hori_x0=0.15;
if para.Matlab_Version == 7 &  data.in.dim == 3
    hori_size=0.5; 
    hori_x0=0.1;
end

hdl.dispkrig3d.axes1 = axes('Parent',hdl.dispkrig3d.h0, ...
	'Color',[1 1 1], ...
   'Position',[hori_x0 0.4 hori_size 0.5],...
   'Tag','dispkrig3dAxes1', ...
	'visible','off');

%%% xdir
x0x=0.4;y0x=0.25;Lslider=0.12;
dy=0.06;
Ltext=0.07;
Lradio=0.13;
Lx=0.08;Ly=0.05;
h1 = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'HorizontalAlignment','center', ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[x0x y0x Ltext Ly], ...
	'String',' ', ...
   'Style','text');
h1 = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'HorizontalAlignment','center', ...
	'FontWeight','bold', ...
	'Position',[x0x+0.01 y0x+0.003 Ltext Ly-0.01], ...
	'String','X', ...
   'Style','text');
if isfield(hdl,'dataprep')
  if get(hdl.dataprep.xdir,'value') == 1
    xdir_reverse=1;
  else
    xdir_reverse=0;
  end
else
  xdir_reverse=0;           
end
hdl.dispkrig3d.xdir_reverse = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Callback','radio_action_visual(7)', ...
	'HorizontalAlignment','left', ...
	'FontWeight','bold', ...
	'Position',[x0x+Ltext y0x Lradio Ly], ...
    'String','Reverse', ...
    'fontsize',12, ...
    'value',xdir_reverse, ...
    'Style','radio');
if data.in.dim == 3
hdl.dispkrig3d.xdir_val = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'FontWeight','bold', ...
	'Position',[x0x y0x-dy Lx Ly ], ...
	'Style','text');
hdl.dispkrig3d.xdir_slider = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Callback','dispkrig3d(1)', ...
	'SliderStep',[xstep-EPS xstep+EPS], ...
	'Position',[x0x+Lx y0x-dy Lslider Ly ], ...
	'Style','slider');
end

%%% ydir
x0y=0.15;y0y=0.25;Lslider=0.12;
dy=0.06;
Lx=0.08;Ly=0.05;;
h1 = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'HorizontalAlignment','center', ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[x0y y0y Ltext Ly], ...
	'String',' ', ...
   'Style','text');
h1 = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'HorizontalAlignment','center', ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[x0y+0.01 y0y+0.003 Ltext Ly-0.01], ...
	'String','Y', ...
    'Style','text');
if isfield(hdl,'dataprep')
  if get(hdl.dataprep.ydir,'value') == 1
    ydir_reverse=1;
  else
    ydir_reverse=0;
  end
else
  ydir_reverse=0;  
end
hdl.dispkrig3d.ydir_reverse = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Callback','radio_action_visual(8)', ...
	'HorizontalAlignment','left', ...
	'FontWeight','bold', ...
	'Position',[x0y+Ltext y0y Lradio Ly], ...
   'String','Reverse', ...
   'fontsize',12, ...
   'value',ydir_reverse, ...
   'Style','radio');

if data.in.dim == 3
hdl.dispkrig3d.ydir_val = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[x0y y0y-dy Lx Ly ], ...
	'Style','text');
hdl.dispkrig3d.ydir_slider = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Callback','dispkrig3d(2)', ...
	'ListboxTop',0, ...
	'SliderStep',[ystep-EPS ystep+EPS], ...
	'Position',[x0y+Lx y0y-dy Lslider Ly ], ...
	'Style','slider');
end

%%% zdir
x0z=0.65;y0z=0.7;Lslider=0.15;
dx=0.06;
Ltext=0.03;
Ly=0.04;Lx=0.1;
Lradio=0.08;
if data.in.dim == 3
hdl.dispkrig3d.ztxt = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'HorizontalAlignment','center', ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[x0z+0.03 y0z+Ly Ltext Ly], ...
	'String','Z', ...
   'Style','text');
if isfield(hdl,'dataprep')
  if get(hdl.dataprep.zdir,'value') == 1
    zdir_reverse=1;
  else
    zdir_reverse=0;
  end
else
  zdir_reverse=1;  
end

hdl.dispkrig3d.zdir_reverse = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Callback','radio_action_visual(9)', ...
	'HorizontalAlignment','left', ...
	'FontWeight','bold', ...
	'Position',[x0z y0z Lx Ly], ...
   'String','Reverse', ...
   'fontsize',8, ...
   'value',1, ...
   'Style','radio');
hdl.dispkrig3d.zdir_val = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[x0z y0z-Ly Lx Ly ], ...
	'Style','text');
hdl.dispkrig3d.zdir_slider = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Callback','dispkrig3d(3)', ...
	'SliderStep',[zstep-EPS zstep+EPS], ...
	'Position',[x0z+0.03 y0z-Ly-Lslider Ly Lslider], ...
	'Style','slider');
end

%% color scale adjustment
x0cs=0.82;
y0cs1=0.75;
y0cs2=0.40;
Lycs=0.025;
hdl.dispkrig3d.cbar_slider_top = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Callback','dispkrig3d(4)', ...
	'SliderStep',[0.01-EPS 0.01+EPS], ...
	'Position',[x0cs y0cs1 Lycs Lslider], ...
	'Style','slider','value',0.75);
hdl.dispkrig3d.cbar_slider_bot = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Callback','dispkrig3d(4)', ...
	'SliderStep',[0.01-EPS 0.01+EPS], ...
	'Position',[x0cs y0cs2 Lycs Lslider], ...
	'Style','slider','value',0.25);

%%	Variable
hdl.dispkrig3d.var_index=1;
Lradio=0.12;
Ly=0.04;
x0=0.67;
y0=0.3;
dy=0.05;
h1 = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'HorizontalAlignment','center', ...
	'FontWeight','bold', ...
	'Position',[x0 y0 Lradio Ly], ...
	'String','Display', ...
	'Style','text');
hdl.dispkrig3d.disp_var1 = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'Callback','radio_action_visual(1)', ...
	'String','Krig Map', ...
	'Position',[x0 y0-dy Lradio Ly], ...
   'value',1, ...
	'Style','radio');
hdl.dispkrig3d.disp_var2 = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'Callback','radio_action_visual(2)', ...
	'String','Variance Map', ...
	'Position',[x0 y0-2*dy Lradio Ly], ...
	'Style','radio');
hdl.dispkrig3d.disp_var3 = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'Callback','radio_action_visual(3)', ...
	'String','Validation', ...
	'Position',[x0 y0-3*dy Lradio Ly], ...
	'Style','radio');

%%	shading
hdl.dispkrig3d.shading_index=3;
Lradio=0.12;
Ly=0.04;
x0=0.83;
y0=0.3;
dy=0.05;
h1 = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'HorizontalAlignment','center', ...
	'FontWeight','bold', ...
	'Position',[x0 y0 Lradio Ly], ...
	'String','Shading', ...
	'Style','text');
hdl.dispkrig3d.shading_radio1 = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'Callback','radio_action_visual(4)', ...
	'String','Faceted', ...
	'Position',[x0 y0-dy Lradio Ly], ...
    'value',0, ...
	'Style','radio');
hdl.dispkrig3d.shading_radio2 = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'Callback','radio_action_visual(5)', ...
	'String','Flat', ...
	'Position',[x0 y0-2*dy Lradio Ly], ...
   'value',0, ...
	'Style','radio');
hdl.dispkrig3d.shading_radio3 = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'Callback','radio_action_visual(6)', ...
	'String','Interp', ...
	'Position',[x0 y0-3*dy Lradio Ly], ...
    'value',1, ...
	'Style','radio');

%% Push button
pbtn_w=hdl.object.pushbtn_w;
pbtn_l=hdl.object.pushbtn_l-0.04;
x0=0.5;
h1 = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'Callback','dispkrig3d_proc', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'Position',[x0 0.08  pbtn_l pbtn_w], ...
	'String','Show Plot');
h1 = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'Callback','file_browser3d(4,1);', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'Position',[x0+(0.01+pbtn_l) 0.08  pbtn_l pbtn_w], ...
	'String','Load');
h1 = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'Callback','figure(hdl.navigator.h0)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'Position',[x0+2*(0.01+pbtn_l) 0.08  pbtn_l pbtn_w], ...
	'String','Navigator');
h1 = uicontrol('Parent',hdl.dispkrig3d.h0, ...
	'Units','normalized', ...
	'Callback','close_window(4)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'Position',[x0+3*(0.01+pbtn_l) 0.08  pbtn_l pbtn_w], ...
	'String','Quit');

if default_setting ==1 
   data.in.dim=[]; 		% default setting
   default_setting=0;
end

para.dispkrig.trackline.type_indx=1;
para.dispkrig.trackline.line_color=1;
para.dispkrig.colormap_indx=11;
para.dispkrig.num_of_contour=4;
para.dispkrig.digits_of_contour=3;
para.dispkrig.trackline.color_indx=8;
para.dispkrig.trackline.size_indx=8;
para.dispkrig.validation_model=1;

para.status.dispkrigfig = 1;
hdl.status.dispkrigfig = 1;


