function fig = variogram3dfig()
%% function fig = variogram3dfig() establishes a GUI configuration for task Variogram, 
%% it opens the Variogram window
%%
%%  Kriging Software Package  version 3.0,   May 1, 2004
%%  Copyright (c) 1999, 2001, 2004, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

global hdl data para color

grey=color.grey;
dark_grey=color.dark_grey;
blue=color.blue;

if ~isempty(findobj('type','figure','Tag','FitVariogram')) 
  		figure(hdl.vario.h0);
  		return
end

%% create 1-D semi-variogram/correlogram window
hdl.vario.h0 = figure('Units','normalized', ...
   'Color',color.background, ...
   'Name','Variogram/Correlogram', ...
   'Position',hdl.window_position, ...
   'Tag','FitVariogram','NumberTitle','off');

   set(0, 'showhidden', 'on')
   ch=get(gcf, 'children');
%	delete(ch(1))								%Help
   wmhdl=findobj(ch,'Label','&Help');		
   delete(wmhdl);
   ch(find(ch == wmhdl))=[];
%	delete(ch(3))								%Tools
   wmhdl=findobj(ch,'Label','&Tools');		
   delete(wmhdl);
   ch(find(ch == wmhdl))=[];
%     new feature in V6.x delete(ch(6))			%Edit
   wmhdl=findobj(ch,'Label','&Edit');		
   delete(wmhdl);
   ch(find(ch == wmhdl))=[];
%      new feature in V6.x                      %insert
   wmhdl=findobj(ch,'Label','&Insert');		
   if ~isempty(wmhdl)
     delete(wmhdl);
     ch(find(ch == wmhdl))=[];
   end
%      new feature in V6.x                      %View
   wmhdl=findobj(ch,'Label','&View');		
   if ~isempty(wmhdl)
     delete(wmhdl);
     ch(find(ch == wmhdl))=[];
   end
%      new feature of V7.0                      
   wmhdl=findobj(ch,'Label','&Desktop');	    %Desktop
   if ~isempty(wmhdl)
     delete(wmhdl);
     ch(find(ch == wmhdl))=[];
   end
  
Filehdl=findobj(ch,'Label','&File');
ch_file=get(Filehdl,'children');
%% ch_file   1  '&Print...'
%            2  'Print Pre&view...'
%            3  'Print Set&up...'
%            4  'Pa&ge Setup...'
%            5  'Pre&ferences...'
%            6  '&Export...'
%            7  'Save &As...'
%            8  '&Save'
%            9  '&Close'
%           10  '&Open...'
%           11  '&New Figure'
set(findobj(ch_file(1:end),'Label','&Open...'),'Label','&Load','callback','file_browser3d(2,2);')
file_hdl=findobj(ch_file,'Label','&New Figure');
if ~isempty(file_hdl) 
   delete(file_hdl);
   ch_file(find(ch_file == file_hdl))=[];	
end
set(findobj(ch_file(1:end),'Label','&Save'),'Label','Save &Figure As','callback','file_browser3d(4,3);')
file_hdl=findobj(ch_file,'Label','Save &As...');
if ~isempty(file_hdl) 
   delete(file_hdl);
   ch_file(find(ch_file == file_hdl))=[];	
end
file_hdl=findobj(ch_file,'Label','&Export...');
if ~isempty(file_hdl) 
   delete(file_hdl);
   ch_file(find(ch_file == file_hdl))=[];	
end
file_hdl=findobj(ch_file,'Label','Pre&ferences...');
if ~isempty(file_hdl) 
   delete(file_hdl);
   ch_file(find(ch_file == file_hdl))=[];	
end

%delete(ch_file([11 8 7 6 5]));

h2= uimenu('Parent',hdl.vario.h0,'label','&Task');
h20=uimenu(h2,'label','&Navigator','callback','main_menu3d','separator','off');
h2a=uimenu(h2,'label','   &Load Data','callback','dataprep3dfig;','separator','on');
h2c=uimenu(h2,'label','   &Kriging','callback','kriging3dfig;','separator','off');
h2d=uimenu(h2,'label','   &Visualization','callback','dispkrig3dfig;','separator','off');
h2e=uimenu(h2,'label','   &Save Window Position','callback','save_window_pos(hdl.vario.h0);','separator','off');

hdl.variogram.help=uimenu(hdl.vario.h0,'label','&Help','separator','off');
%% Model Parameters
hdl_variogram_help_MP=uimenu(hdl.variogram.help,'label','Model Parameter','separator','on','selected','off','checked','off');
uimenu(hdl_variogram_help_MP,'label','   Variogram','Callback','variogram_help(1)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP,'label','   Correlogram','Callback','variogram_help(1)','separator','off','checked','off');
hdl_variogram_help_MP_ex=uimenu(hdl_variogram_help_MP,'label','   Model','separator','off','checked','off');
uimenu(hdl_variogram_help_MP_ex,'label','   1. Sphere','Callback','variogram_help(2)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP_ex,'label','   2. Exponential','Callback','variogram_help(3)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP_ex,'label','   3. Gaussian','Callback','variogram_help(4)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP_ex,'label','   4. Linear','Callback','variogram_help(5)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP_ex,'label','   5. Sinc','Callback','variogram_help(6)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP_ex,'label','   6. Exponential-Cosine (Type-I)','Callback','variogram_help(7)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP_ex,'label','   7. Exponential-Cosine (Type-II)','Callback','variogram_help(8)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP_ex,'label','   8. Gaussian-Cosine','Callback','variogram_help(9)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP_ex,'label','   9. Bessel (1-J0)','Callback','variogram_help(10)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP_ex,'label','  10. Exponential-Bessel','Callback','variogram_help(11)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP_ex,'label','  11. Gassian-Bessel','Callback','variogram_help(12)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP_ex,'label','  12. Gaussian-Linear','Callback','variogram_help(13)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP_ex,'label','  13. General Exponential-Bessel','Callback','variogram_help(14)','separator','off','checked','off');

uimenu(hdl_variogram_help_MP,'label','   Nugget','Callback','variogram_help(15)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP,'label','   Sill','Callback','variogram_help(16)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP,'label','   Length','Callback','variogram_help(17)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP,'label','   Power','Callback','variogram_help(18)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP,'label','   Hole Scale','Callback','variogram_help(19)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP,'label','   Range','Callback','variogram_help(20)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP,'label','   Resolution','Callback','variogram_help(21)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP,'label','   Load Parameter File','Callback','variogram_help(22)','separator','off','checked','off');
uimenu(hdl_variogram_help_MP,'label','   Save Parameter File','Callback','variogram_help(22)','separator','off','checked','off');

%% Anisotropy
hdl_variogram_help_AN=uimenu(hdl.variogram.help,'label','Anisotropy','separator','on','selected','off','checked','off');
uimenu(hdl_variogram_help_AN,'label','   Isotropy','Callback','variogram_help(25)','separator','off','checked','off');
uimenu(hdl_variogram_help_AN,'label','   Anisotropy','Callback','variogram_help(25)','separator','off','checked','off');
uimenu(hdl_variogram_help_AN,'label','   Azimuth','Callback','variogram_help(26)','separator','off','checked','off');
uimenu(hdl_variogram_help_AN,'label','   Dip','Callback','variogram_help(26)','separator','off','checked','off');
uimenu(hdl_variogram_help_AN,'label','   Begin Angle','Callback','variogram_help(27)','separator','off','checked','off');
uimenu(hdl_variogram_help_AN,'label','   End Angle','Callback','variogram_help(27)','separator','off','checked','off');
uimenu(hdl_variogram_help_AN,'label','   Angle Inc','Callback','variogram_help(27)','separator','off','checked','off');
uimenu(hdl_variogram_help_AN,'label','   Tolerance','Callback','variogram_help(28)','separator','off','checked','off');
uimenu(hdl_variogram_help_AN,'label','   Rotation','Callback','variogram_help(29)','separator','off','checked','off');
%% Ratio
hdl_variogram_help_RT=uimenu(hdl.variogram.help,'label','      - Ratio','separator','off','selected','off','checked','off');
uimenu(hdl_variogram_help_RT,'label','   Y/X','Callback','variogram_help(30)','separator','off','checked','off');
uimenu(hdl_variogram_help_RT,'label','   Z/X','Callback','variogram_help(30)','separator','off','checked','off');

% Display Range
hdl_variogram_help_DR=uimenu(hdl.variogram.help,'label','Display Range','separator','on','selected','off','checked','off');
uimenu(hdl_variogram_help_DR,'label','   Lag','Callback','variogram_help(40)','separator','off');
uimenu(hdl_variogram_help_DR,'label','   Value','Callback','variogram_help(40)','separator','off');

% Push Buttons
hdl_variogram_help_PB=uimenu(hdl.variogram.help,'label','Push Buttons','separator','on','selected','off','checked','off');
uimenu(hdl_variogram_help_PB,'label','   Compute','Callback','variogram_help(50)','separator','off');
uimenu(hdl_variogram_help_PB,'label','   LSQ Fit','Callback','variogram_help(51)','separator','off');
uimenu(hdl_variogram_help_PB,'label','   Default','Callback','variogram_help(52)','separator','off');
uimenu(hdl_variogram_help_PB,'label','   Apply','Callback','variogram_help(53)','separator','off');
uimenu(hdl_variogram_help_PB,'label','   Navigator','Callback','variogram_help(55)','separator','off');
uimenu(hdl_variogram_help_PB,'label','   Quit','Callback','variogram_help(55)','separator','off');

hdl_quit=uimenu(hdl.vario.h0,'label','Quit','separator','on');
uimenu(hdl_quit,'label','&Close Current Window','Callback','close_window(2)','separator','off');
uimenu(hdl_quit,'label','&Quit EasyKrig','Callback','close all','separator','off');

hdl.vario.axes1 = axes('Parent',hdl.vario.h0, ...
	'Color',[1 1 1], ...
	'Position',[0.1 0.60 0.46 0.3], ...
	'Tag','variogramAxes1');
xlabel_str='Lag (Relative to the Full Length Scale)';
ylabel_str='Semi-Variogram/Correlogram';
hx1=xlabel(xlabel_str);
hy1=ylabel(ylabel_str);
para.vario.xlabel=xlabel_str;
para.vario.ylabel=ylabel_str;
hvl1=[hx1 hy1];
set(hvl1,'fontweight','bold')

hdata=get(hdl.vario.axes1,'children');
hline=findobj(hdata,'Type','line');
if ~isempty(hline)
   set(hline,'XDATA',[],'YDATA',[]);
end

%% FILE ID
if isfield(para.dataprep,'fileID')
    fileIDstr=para.dataprep.fileID;
else
    fileIDstr=' ';
end

hdl.vario.fileID = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0.501960784313725], ...
	'ListboxTop',0, ...
	'Position',[0.27 0.95 0.48 0.03], ...
	'String',fileIDstr, ...
	'Style','text', ...
	'Tag','VarioFileID');

% Parameter frame
x00=0.6;y0=0.90;
x0=0.63;Lvarstr=0.07;Lvalue=0.05;Lslider=0.15;dx=0.005;Ly=0.025;
dy=0.045;
hdl.vario.h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'ListboxTop',0, ...
	'Position',[x00 0.37 0.35 0.53], ...
	'Style','frame', ...
	'Tag','FrameParameter');
h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',blue, ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 1], ...
	'Position',[0.68  y0-0.01 0.2 .028], ...
	'String','Model Parameters', ...
	'Style','text', ...
	'Tag','StaticText2');

%%  semi-variogram / correlogram option
Lradio=0.13;
hdl.vario.variogram = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Callback','radio_action(2,1)', ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[x0 y0-dy Lradio Ly], ...
	'String','variogram', ...
	'Style','radiobutton', ...
	'Tag','radioVar', ...
	'Value',1);
hdl.vario.correlogram = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Callback','radio_action(2,2)', ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[x0+3*dx+Lradio y0-dy Lradio Ly], ...
	'String','correlogram', ...
	'Style','radiobutton', ...
	'Tag','radioCorr');

%%% semi-variogram / correlogram model
model_str={'1.  sphere','2.  exponential','3.  gaussian','4.  linear','5. sinc','6. exponential-cosine (type I)', ...
    '7. exponential-cosine (type II)','8. gaussian-cosine','9. Bessel (1-Jo)','10. exponential-bessel', ...
    '11. gaussian-bessel','12. gaussian-linear','13. general exponential-Bessel'};
h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'FontWeight','bold', ...
	'HorizontalAlignment','center', ...
	'Position',[x0+5*dx y0-2*dy Lvalue Ly], ...
	'String',' model', ...
	'Style','text', ...
	'Tag','StaticText2');
hdl.vario.model = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'Callback','popupmenu_action(2,1)', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+2*dx+Lvarstr y0-2*dy Lvarstr+Lslider-dx Ly], ...
	'String',model_str, ...
	'Style','popupmenu', ...
	'Tag','VariogramModel');

%%% nugget
h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'HorizontalAlignment','center', ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[x0+3*dx y0-3*dy Lvarstr Ly], ...
	'String','  nugget', ...
	'Style','text', ...
	'Tag','StaticText2');
hdl.vario.nugt_edit = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+4*dx+Lvarstr y0-3*dy Lvalue Ly ], ...
	'Style','edit', ...
	'Tag','NugtEdit');
hdl.vario.nugt_slider = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Callback','slider_action(2,1)', ...
	'ListboxTop',0, ...
	'Position',[x0+5*dx+Lvarstr+Lvalue y0-3*dy Lslider Ly ], ...
	'Style','slider', ...
	'Tag','NugtSlider');

%%% sill
h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[x0+3*dx y0-4*dy Lvarstr Ly], ...
	'String','sill', ...
	'Style','text', ...
	'Tag','StaticText2');
hdl.vario.sill_edit = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+4*dx+Lvarstr y0-4*dy Lvalue Ly ], ...
	'Style','edit', ...
	'Tag','SillEdit');
hdl.vario.sill_slider = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Callback','slider_action(2,2)', ...
	'ListboxTop',0, ...
	'Position',[x0+5*dx+Lvarstr+Lvalue y0-4*dy Lslider Ly ], ...
	'Style','slider', ...
	'Tag','SillSilder');

%%% length scale
h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[x0+3*dx y0-5*dy Lvarstr Ly], ...
	'String','length', ...
	'Style','text', ...
	'Tag','StaticText2');
hdl.vario.lscl_edit = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+4*dx+Lvarstr y0-5*dy Lvalue Ly], ...
	'Style','edit', ...
	'Tag','LsclEdit');
hdl.vario.lscl_slider = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Callback','slider_action(2,3)', ...
	'ListboxTop',0, ...
	'Position',[x0+5*dx+Lvarstr+Lvalue y0-5*dy Lslider Ly], ...
	'Style','slider', ...
	'Tag','LsclSlider');
%%% power
h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[x0+3*dx y0-6*dy Lvarstr Ly], ...
	'String','power', ...
	'Style','text', ...
	'Tag','StaticText2');
hdl.vario.powr_edit = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+4*dx+Lvarstr y0-6*dy Lvalue Ly], ...
	'Style','edit', ...
	'Tag','PowrEdit');
hdl.vario.powr_slider = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Callback','slider_action(2,4)', ...
	'ListboxTop',0, ...
	'Position',[x0+5*dx+Lvarstr+Lvalue y0-6*dy Lslider Ly], ...
	'Style','slider', ...
	'Tag','PowrSlider');

%%% length scale of hole effect
h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[x0+3*dx y0-7*dy Lvarstr Ly], ...
	'String','  hole scl', ...
	'Style','text', ...
	'Tag','StaticText2');
hdl.vario.hole_edit = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+4*dx+Lvarstr y0-7*dy Lvalue Ly], ...
	'Style','edit', ...
	'Tag','HoleEdit');
hdl.vario.hole_slider = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Callback','slider_action(2,5)', ...
	'ListboxTop',0, ...
	'Position',[x0+5*dx+Lvarstr+Lvalue y0-7*dy Lslider Ly], ...
	'Style','slider', ...
	'Tag','HoleSlider');

%%% range
Lrange=0.055;
h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'FontWeight','bold', ...
	'HorizontalAlignment','center', ...
	'ListboxTop',0, ...
	'Position',[x0+3*dx y0-8*dy Lvarstr Ly], ...
	'String','  range', ...
	'Style','text', ...
	'Tag','StaticText3');
hdl.vario.range_edit = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+4*dx+Lvarstr y0-8*dy Lvalue Ly], ...
	'Style','edit', ...
	'Tag','RangeEdit');
hdl.vario.range_slider = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Callback','slider_action(2,6)', ...
	'ListboxTop',0, ...
	'Position',[x0+5*dx+Lvarstr+Lvalue y0-8*dy Lslider Ly], ...
	'Style','slider', ...
	'Tag','RangeEdit');

%%% resolution
Lresolution=0.08;
h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'FontWeight','bold', ...
	'HorizontalAlignment','right', ...
	'ListboxTop',0, ...
	'Position',[x0+3*dx y0-9*dy Lresolution Ly], ...
	'String',' resolution', ...
	'Style','text', ...
	'Tag','StaticText3');
hdl.vario.res = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x0+4*dx+Lresolution y0-9*dy Lvalue Ly], ...
	'Style','edit', ...
	'Tag','Res');

%%% parameter file
Lparafile=0.15;
hdl.vario.load_para_file = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Callback','radio_action(2,3)', ...
	'FontWeight','bold', ...
	'Position',[x0 y0-10*dy Lparafile Ly], ...
	'String','Load Parameter File', ...
	'Style','radio', ...
	'Tag','LoadParaFile');
hdl.vario.load_file_browser = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'Callback','file_browser3d(2,1)', ...
	'FontSize',8, ...
	'ListboxTop',0, ...
	'Position',[x0+dx+Lparafile y0-10*dy Lvarstr Ly], ...
	'String','Browse', ...
   'Enable','off', ...
	'Tag','LoadParaFileBrowser');

hdl.vario.save_para_file = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Callback','radio_action(2,4)', ...
	'FontWeight','bold', ...
	'Position',[x0 y0-11*dy Lparafile Ly], ...
	'String','Save Parameter File', ...
	'Style','radio', ...
	'Tag','SaveParaFile');
hdl.vario.save_file_browser = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'Callback','file_browser3d(2,2)', ...
	'FontSize',8, ...
	'ListboxTop',0, ...
	'Position',[x0+dx+Lparafile y0-11*dy Lvarstr Ly], ...
	'String','Browse', ...
   'Enable','off', ...
	'Tag','SaveParaFileBrowser');

dy=0.05;
%% display horizontal range
%%% range
Lrange=0.08;
x03=0.1;y03=0.5;
h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'ForegroundColor',[0 0 1], ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'Position',[x03 y03-0.5*Ly 6.5*Lvarstr 2*Ly], ...
	'String',' ', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'ForegroundColor',[0 0 1], ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'Position',[x03+2*dx+Ly y03 2.0*Lvarstr Ly], ...
	'String','Display Range:', ...
	'Style','text', ...
	'Tag','StaticText3');

h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'FontWeight','bold', ...
	'HorizontalAlignment','center', ...
	'Position',[x03+2.0*Lvarstr+3*dx y03 Lvarstr Ly], ...
	'String','Lag', ...
	'Style','text', ...
	'Tag','StaticText3');
hdl.vario.disp_range_slider = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Callback','slider_action(2,7)', ...
	'Position',[x03+4*dx+2.8*Lvarstr y03 Lrange Ly], ...
	'Style','slider', ...
	'Tag','DispLagEdit');

h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'FontWeight','bold', ...
	'HorizontalAlignment','center', ...
	'Position',[x03+2.0*Lvarstr+15*dx+Lrange y03 Lvarstr Ly], ...
	'String','Value', ...
	'Style','text', ...
	'Tag','StaticText3');
hdl.vario.disp_value_slider = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Callback','slider_action(2,8)', ...
	'Position',[x03+2.0*Lvarstr+13*dx+2*Lrange y03 Lrange Ly], ...
	'Style','slider', ...
	'Tag','DispVauleEdit');

% Anisotropy
xb=0.1;yb=0.15;xf=0.40;yf=0.3;
x01=xb+0.02;y01=yb+yf-2*dy;Lbutton=0.1;
Lx=0.08;Lvarstr2=0.18;
h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Position',[xb yb xf yf], ...
	'Style','frame', ...
   'Tag','FrameAnisotropy');
hdl.vario.enabled = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Callback','radio_action(2,5)', ...
	'FontSize',8, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 1], ...
	'Position',[xb+dx y01+dy Lx+0.01 Ly+0.01], ...
   'String','Isotropy', ...
   'value',1, ...
	'Style','radio');
hdl.vario.enable2d3d = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Callback','radio_action(2,6)', ...
	'FontSize',8, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 1], ...
   'Position',[xb+Lx+0.01+2*dx y01+dy Lx+0.02 Ly+0.01], ...
	'String','Anisotropy', ...
	'Style','radio');

hdl.vario.ang_azm_2d3d = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Callback','radio_action(2,7)', ...
	'FontSize',9, ...
	'FontWeight','bold', ...
	'Position',[x01+Lvarstr2+dx y01+dy-0.02 Lx Ly+0.01], ...
	'String','Azimuth', ...
    'Enable','off',...
    'Value',1, ...
	'Style','radio');
hdl.vario.ang_dip_2d3d = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Callback','radio_action(2,8)', ...
	'FontSize',9, ...
	'FontWeight','bold', ...
	'Position',[x01+Lvarstr2+Lx+2*dx y01+dy-0.02 Lx Ly+0.01], ...
	'String','Dip', ...
    'Value',0, ...
    'Enable','off',...
	'Style','radio');

%% begin angle (orientation)  
hdl.vario.angle0_txt = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontSize',9, ...
	'FontWeight','bold', ...
	'Position',[x01 y01 Lvarstr2 Ly], ...
	'String','Begin Angle(deg)', ...
   'Style','text');
%% azimuthal begin angle
hdl.vario.ang_beg_azm = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x01+Lvarstr2+dx y01 Lx Ly], ...
	'String','0', ...
	'Style','edit');
%% dip begin angle
hdl.vario.ang_beg_dip = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x01+Lvarstr2+Lx+2*dx y01 Lx Ly], ...
	'String','-90', ...
	'Style','edit');

%% end angle (orientation)  
hdl.vario.angle1_txt = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontWeight','bold', ...
	'Position',[x01 y01-0.8*dy Lvarstr2 Ly], ...
	'String','End Angle(deg)', ...
	'Style','text');
%% azimuthal end angle
hdl.vario.ang_end_azm = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x01+Lvarstr2+dx y01-0.8*dy Lx Ly], ...
	'String','180', ...
	'Style','edit');
%% dip end angle
hdl.vario.ang_end_dip = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x01+Lvarstr2+Lx+2*dx y01-0.8*dy Lx Ly], ...
	'String','90', ...
	'Style','edit');

%%  angle resolution
hdl.vario.ang_res_txt = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontSize',9, ...
	'FontWeight','bold', ...
	'Position',[x01 y01-1.6*dy Lvarstr2 Ly], ...
	'String','Angle Inc. (deg)', ...
   'Style','text');
% azimuthal direction
hdl.vario.ang_res_azm = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Position',[x01+Lvarstr2+dx y01-1.6*dy Lx Ly], ...
	'String','10', ...
   'Enable','off', ...
	'Style','edit');
% dip direction
hdl.vario.ang_res_dip = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'Position',[x01+Lvarstr2+Lx+2*dx y01-1.6*dy Lx Ly], ...
	'String','10', ...
   'Enable','off', ...
   'Style','edit');

%%  angle width
hdl.vario.wd_txt = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontSize',9, ...
	'FontWeight','bold', ...
	'Position',[x01 y01-2.4*dy Lvarstr2 Ly], ...
	'String','Tolerance ', ...
   'Style','text');
% azimuthal direction
hdl.vario.ang_wd_azm = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x01+Lvarstr2+dx y01-2.4*dy Lx Ly], ...
	'String','20', ...
	'Style','edit');
% dip direction
hdl.vario.ang_wd_dip = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x01+Lvarstr2+Lx+2*dx y01-2.4*dy Lx Ly], ...
	'String','20', ...
	'Style','edit');

%%  angle rotation
y01=y01-0.8*dy;
hdl.vario.ang_rot_txt = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontSize',9, ...
	'FontWeight','bold', ...
	'Position',[x01 y01-2.4*dy Lvarstr2 Ly], ...
	'String','Rotation (deg)', ...
   'Style','text');
% azimuthal direction
hdl.vario.ang_rot_azm = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x01+Lvarstr2+dx y01-2.4*dy Lx Ly], ...
	'String','0', ...
	'Style','edit');
% dip direction
hdl.vario.ang_rot_dip = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x01+Lvarstr2+Lx+2*dx y01-2.4*dy Lx Ly], ...
	'String','0', ...
	'Style','edit');

%% aspect ratios
xb=0.52;yb=0.15;xf=0.2;yf=0.2;
x01=xb+0.01;y01=yb+yf-2*dy;
Lx=0.06;Lvarstr3=0.06;
h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Position',[xb yb xf yf], ...
   'Style','frame');
hdl.vario.ratio_txt = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontSize',9, ...
	'FontWeight','bold', ...
	'Position',[x01+Lvarstr3+dx y01+dy-0.02 Lx Ly+0.01], ...
	'String','Ratio', ...
    'Style','Text');
hdl.vario.ratio_yx_txt = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontSize',9, ...
	'FontWeight','bold', ...
	'Position',[x01 y01 Lvarstr3 Ly], ...
	'String','Y/X','style','text');
hdl.vario.ratio_zx_txt = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontSize',9, ...
	'FontWeight','bold', ...
	'Position',[x01 y01-dy Lvarstr3 Ly], ...
	'String','Z/X','style','text');
hdl.vario.ytox_ratio = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x01+Lvarstr3+dx y01 Lx Ly], ...
	'String','1', ...
	'Style','edit');
hdl.vario.ztox_ratio = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[x01+Lvarstr3+dx y01-dy Lx Ly], ...
	'String','1', ...
	'Style','edit');

%%% push button action
xb=0.8;yb=0.15;xf=0.15;yf=0.2;
x01=xb+Ly+2*dx;y01=yb+yf-0.75*dy;Lbutton=0.1;
Lz=0.028;
h2 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Position',[xb yb xf yf], ...
	'Style','frame', ...
	'Tag','FrameAction');
%% compute button
h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'Callback','variogram_proc', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'Position',[x01 y01 Lbutton Lz], ...
	'String','Compute', ...
	'Tag','Pushbutton2');

%% LSQ fit button
if para.optim == 0
  optim_str='off';
else
  optim_str='on';
end
%% LSQ fit button
hdl.vario.lsq_fit= uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'Callback','lsqfit', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'Position',[x01 y01-dy Lbutton Lz], ...
	'String','LSQ Fit', ...
    'Enable',optim_str, ...
	'Tag','lsqfit');
%% default button
h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'Callback','getdefault3dvariopara(2)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[x01 y01-2*dy Lbutton Lz], ...
	'String','Default', ...
	'Tag','Default');
%% Apply button
h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'Callback','variogram_theo(1)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[x01 y01-3*dy Lbutton Lz], ...
	'String','Apply', ...
	'Tag','manualfig');

%% other push buttons
h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'Callback','figure(hdl.navigator.h0)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'Position',[0.68 0.08 0.12 0.05], ...
	'String','Navigator', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',hdl.vario.h0, ...
	'Units','normalized', ...
	'Callback','close_window(2)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.82 0.08 0.10 0.05], ...
	'String','Quit', ...
	'Tag','Pushbutton1');
hdl.vario.status=1;
getdefault3dvariopara(1);				% start a new window
set3dvariopara(0);
para.status.variogramfig=1;
hdl.status.variogramfig=1;
