function CheckSliderPosition
%% check whether slider position is consistent with the value

%%  Kriging Software Package  version 1.0 beta,   October 29, 1998
%%  Copyright (c) 1998, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.


global max_nugt max_sill max_lscl max_powr max_osci

%% check
%% nugget group
h1=findobj(gcf,'Tag','txtnugt');
h2=findobj(gcf,'Tag','sldnugt');
[max_nugt]=value2slider(h1,h2,1,0,max_nugt);

%% sill group
h1=findobj(gcf,'Tag','txtsill');
h2=findobj(gcf,'Tag','sldsill');
[max_sill]=value2slider(h1,h2,1,0,max_sill);

%% length scale group
h1=findobj(gcf,'Tag','txtlscl');
h2=findobj(gcf,'Tag','sldlscl');
[max_lscl]=value2slider(h1,h2,1,0,max_lscl);

%% power group
h1=findobj(gcf,'Tag','txtpowr');
h2=findobj(gcf,'Tag','sldpowr');
[max_powr]=value2slider(h1,h2,1,0,max_powr);

%% oscillatory parameter group
h1=findobj(gcf,'Tag','txtosci');
h2=findobj(gcf,'Tag','sldosci');
[max_osci]=value2slider(h1,h2,1,0,max_osci);
