function      [varname,helpcontent]=krighelp(index)
%% help file for kriging panel

%%  Kriging Software Package  version 1.0 beta,   October 29, 1998
%%  Copyright (c) 1998, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

switch index
  case 1
     varname='Minimum Horizontal';
     helpcontent={'Minimum horizontal coordinate value used in kriging computation.',
                  'The unit is in either km or degrees depending on the Display'
                  'selection in the Data Preparation Panel'};
  case 2
     varname='Maximum Horizontal';
     helpcontent={'Maximum horizontal coordinate value used in kriging computation.',
                  'The unit is in either km or degrees depending on the Display'
                  'selection in the Data Preparation Panel'};
  case 3 
     varname='Horizontal Resolution';
     helpcontent={'Horizontal separation between the center of the adjcent grids.',
                  'The unit is in either km or degrees depending on the Display'
                  'selection in the Data Preparation Panel'};
  case 4
     varname='Minimum Vertical';
     helpcontent={'Minimum vertical coordinate value used in kriging computation.',
                  'The unit is in either km or degrees depending on the Display'
                  'selection in the Data Preparation Panel'};
  case 5
     varname='Maximum Vertical';
     helpcontent={'Maximum vertical coordinate value used in kriging computation.',
                  'The unit is in either km or degrees depending on the Display'
                  'selection in the Data Preparation Panel'};
  case 6
     varname='Vertical Resolution';
     helpcontent={'Vertical separation between the center of the adjacent grids',
                  'The unit is in either km or degrees depending on the Display'
                  'selection in the Data Preparation Panel'};
  case 7
     varname='Model Index';
     helpcontent={'Model index for semi-variogram/correlogram specified in',
                  'the Variogram Panel.'};
  case 8
     varname='Objective Analysis';
     helpcontent={'Objective analysis or Objective Mapping.'};
  case 9 
     varname='Ordinary Kriging';
     helpcontent={'Objective Analysis, but with an additional constraint that the'
        'summation of the weighting coefficents is unity. OK can handle the '
        'situation with an unknown constant mean.'};
  case 10
     varname='Universal Kriging';
     helpcontent={'Similar to the Ordinary Kriging, but with a linear',
                 'drift mean within the kriging region.'};
  case 11
     varname='Point to Point Kriging';
     helpcontent={'To estimate the value at a specified location.'};
  case 12
     varname='Point to Block Kriging';
     helpcontent={'To estimate the value of a block centered at a specified location.'};
  case 13
     varname='Block Grid Size';
     helpcontent={'Number of sub-divisions in a kriging block in both',
        'horizontal and vertical directions.'
        'If this option is set to n, the total number of elements in a'
        'single grid block is n*n.'};
  case 14
     varname='Search Radius';
     helpcontent={'Search radius for kriging. This parameter specifies a circular',
        'region within which the observed values are used to estimate',
        'the value at a given location. However, if the number of observed data',
        'points is less than the specified minimum kriging points or greater than the',
        'sepcified maximum kriging points, it will be modified automatically to',
        'satisfy the conditions involving the minimum and maximum kriging points.',
        'The unit of its displyed value depends on the choice of Display',
        'option specified in Data Preparation Panel.'};
  case 15
     varname='Minimum Kriging Points';
     helpcontent={'The minimum number of points used in kriging to estimate the'
        'value at a specified location. If within a previously specified search'
        'radius, the number of data points is less than the specified minimum '
        'kriging points, the program automatically enlarges the search radius until',
        'the condition of the minimum kriging point is met.'};
  case 16
     varname='Maximum Kriging Points';
     helpcontent={'The maximum number of points used in kriging to estimate the'
        'value at a specified location. If within a previously specified search'
        'radius, the number of data points is greater than the specified maximum '
        'kriging points, the program automatically reduces the search radius until',
        'the condition of maximum kriging point is met.'};
  case 17
     varname='Relative Error';
     helpcontent={'Kriging error normalized by the data variance at the'
        'location where the kriging estimate is made.'};
  case 18
     varname='Krig';
     helpcontent={'Perform kriging operation using specified parameters in this panel.'};
  case 19
     varname='Reload';
     helpcontent={'Reload the parameters chosen in the most recent semi-variogram',
        'or correlogram fit.'};
end