function			dat_vario_corr()
% function			dat_vario_corr()
%% computes data-based semi-variogram or correlogram 
%%
%%  Kriging Software Package  version 2.0,   October 29, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.


global para hdl data

if para.status >=2 & hdl.vario.status == 1
   hdl_vario=findobj(hdl.vario.axes1,'type','line');
   delete(hdl_vario);
   para.status=1.0;
end

set(hdl.vario.fileID,'String',para.dataprep.fileID);
para.vario.res=str2num(get(hdl.vario.res,'String'));
if get(hdl.vario.enable2d,'value')
	  para.vario.angle=str2num(get(hdl.vario.angle,'string'));
	  para.vario.ratio=str2num(get(hdl.vario.ratio,'string'));
end

drawnow
%% call variogram function
variogram;

plot1d_vario_corr(1);			%	plot 1-D data-based semi-variogram or correlogram

% find the default length scale
[tmp indx1]=max(data.out.vario.gammah(1:round(0.5*length(data.out.vario.gammah))));
[tmp indxl]=min(abs(data.out.vario.gammah(1:indx1)-0.3));			% 6dB 
para.vario.lscl=data.out.vario.lag(indxl);
if para.vario.lscl <= 0.01*max(data.out.vario.lag)
   para.vario.lscl=0.1*max(data.out.vario.lag);
end
set(hdl.vario.lscl_edit,'String',num2str(para.vario.lscl));
set(hdl.vario.lscl_slider,'Value',para.vario.lscl/para.vario.max_lscl);
para.status=1.5;