function loaddatfile(opt,filename)
% function loaddatfile(opt,filename)
% loads data file into the memory
%%	opt = 1			called from data preparation window
%%			2			called from kriging window
%%			3			called from visualization window
%
%%  EasyKrig Software Package  version 2.0,   October 1, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

global para data hdl

if opt == 1								% called from data preparation window
 para.dataprep.file_col1_index=get(hdl.dataprep.var1,'value');
 para.dataprep.file_col2_index=get(hdl.dataprep.var2,'value');
 if get(hdl.dataprep.ext_prog,'Value') == 1  & ~isempty(get(hdl.dataprep.dat_conv_fname,'string'))
   fname_len=length(para.dataprep.dat_conv_fname);
   ext_conv_filename=para.dataprep.dat_conv_fname(1:fname_len-2);
   cmd=['[var1,var2,var]=' ext_conv_filename '(''' para.dataprep.filename ''');'];
   eval(cmd);
   data.in.var1=var1;
   data.in.var2=var2;
   data.in.var=var;
   para.dataprep.xy_switch=0;
 else
   variablename=filenametruncation(para.dataprep.filename);
   eval(['load ' '''' para.dataprep.filename ''''])
   eval(['dat=' variablename ';'])
   if (get(hdl.dataprep.var1,'Value') == 2 & get(hdl.dataprep.var2,'Value') == 1) | ...
		(get(hdl.dataprep.var1,'Value') == 5 & get(hdl.dataprep.var2,'Value') == 4)
     data.in.var1=dat(:,2); 
     data.in.var2=dat(:,1);
	  para.dataprep.xy_switch=1;
   else
     data.in.var1=dat(:,1); 
     data.in.var2=dat(:,2);
	  para.dataprep.xy_switch=0;
	end
   data.in.var=dat(:,3); 
 end
elseif opt == 2										% called from kriging window
 if ~isfield(para.dataprep,'ext_prog') para.dataprep.ext_prog=0;end
 if para.dataprep.ext_prog == 1
   ext_conv_filename=para.dataprep.dat_conv_fname(1:fname_len-2);
   cmd=['[var1,var2,var]=' ext_conv_filename '(''' para.krig.data_file ''');'];
   eval(cmd);
   data.in.var1=var1;
   data.in.var2=var2;
   data.in.var=var;
 else
   variablename=filenametruncation(para.krig.data_file);
   eval(['load ' '''' para.krig.data_file ''''])
   eval(['dat=' variablename ';'])
	if ~isfield(para.dataprep,'xy_switch') para.dataprep.xy_switch=0;end
   if para.dataprep.xy_switch == 1
	  data.in.var1=dat(:,2); 
     data.in.var2=dat(:,1);
	else
     data.in.var1=dat(:,1); 
     data.in.var2=dat(:,2);
	end
   data.in.var=dat(:,3); 
 end
elseif opt == 3										% called from visualization window
	home_dir=para.home_dir;
   platform=para.platform;
   optim=para.optim;
	cmd=['load ' '''' filename '''' ];
	eval(cmd)
	para.home_dir=home_dir;
   para.platform=platform;
   para.optim=optim;
	if ~isfield(para.dataprep,'transform_index') para.dataprep.transform_index=1;end
	if para.dataprep.transform_index > 1
	 set(hdl.dispkrig.transform,'value',1);
	else
	 set(hdl.dispkrig.transform,'value',0);
	end
   set(hdl.dispkrig.fileID,'string',para.dataprep.fileID);
end