function setvariopara(opt)
%% function setvariopara(opt)
%% sets variogram/correlogram parameters 
%% based on para.vario struct array
%% opt = 1			set slider position only
%% opt = 2			set slider position, edit field and all other settings
%% opt = 3			set 2D anisotropy parameters only (from panel)
%% opt = 4			set 2D anisotropy parameters only (from parameter struct)
%
%%  EasyKrig Software Package  version 2.0,   October 1, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.


global para hdl
n=3;						% number of digits
if opt >= 3				% 2D anisotropy parameters only
	if get(hdl.vario.enable2d,'value')
     set(hdl.vario.axis3_axis,'visible','on');
	  set(hdl.vario.axis3_lab,'visible','on');
	  set(hdl.vario.angle,'enable','on');
	  set(hdl.vario.angle_txt,'enable','on');
	  set(hdl.vario.angle_help,'enable','on');
	  set(hdl.vario.ratio,'enable','on');
	  set(hdl.vario.ratio_txt,'enable','on');
	  set(hdl.vario.ratio_help,'enable','on');
	  set(hdl.vario.ang_res,'enable','on');
	  set(hdl.vario.ang_res_txt,'enable','on');
	  set(hdl.vario.ang_res_help,'enable','on');
	  set(hdl.vario.anis_cmpt,'enable','on');
	  set(hdl.vario.anis_cmpt_help,'enable','on');
	  if ~isempty(findobj(hdl.vario.h0,'Tag','variogramcolorbar'))
			set(hdl.vario.plot2d,'visible','on');
			set(hdl.vario.colorbar2,'visible','on');
			set(hdl.vario.htxt2d,'visible','on');
         set(get(hdl.vario.colorbar2,'children'),'visible','on');
			subplot(hdl.vario.axes2);
			axis off;
	  end
	else
	  set(hdl.vario.axes2,'visible','off');
     set(hdl.vario.axis3_axis,'visible','off');
     set(hdl.vario.axis3_lab,'visible','off');
	  set(hdl.vario.angle,'enable','off');
	  set(hdl.vario.angle_txt,'enable','off');
	  set(hdl.vario.angle_help,'enable','off');
	  set(hdl.vario.ratio,'enable','off');
	  set(hdl.vario.ratio_txt,'enable','off');
	  set(hdl.vario.ratio_help,'enable','off');
	  set(hdl.vario.ang_res,'enable','off');
	  set(hdl.vario.ang_res_txt,'enable','off');
	  set(hdl.vario.ang_res_help,'enable','off');
	  set(hdl.vario.anis_cmpt,'enable','off');
	  set(hdl.vario.anis_cmpt_help,'enable','off');
	  if ~isempty(findobj(hdl.vario.h0,'Tag','variogramcolorbar'))
			set(hdl.vario.plot2d,'visible','off');
			set(hdl.vario.colorbar2,'visible','off');
         set(get(hdl.vario.colorbar2,'children'),'visible','off');
			set(hdl.vario.htxt2d,'visible','off');
	  end
	end
	if opt == 3				% set parameters from the panel
	  para.vario.angle=str2num(get(hdl.vario.angle,'string'));
	  para.vario.ratio=str2num(get(hdl.vario.ratio,'string'));
	  para.vario.ang_res=str2num(get(hdl.vario.ang_res,'string'));
	  para.vario.res=str2num(get(hdl.vario.res,'string'));
   elseif opt == 4		% set prarmeters from the parameter structure
	  set(hdl.vario.angle,'string',num2str_n(para.vario.angle,n));
	  set(hdl.vario.ratio,'string',num2str_n(para.vario.ratio,n));
	  set(hdl.vario.ang_res,'string',para.vario.ang_res);
	end
	return
end


%% change slider positions, load parameter files, default setings
set(hdl.vario.range_slider,'Value',para.vario.range/para.vario.max_range);
set(hdl.vario.nugt_slider,'Value',para.vario.nugt/para.vario.max_nugt);
set(hdl.vario.sill_slider,'Value',para.vario.sill/para.vario.max_sill);
set(hdl.vario.lscl_slider,'Value',para.vario.lscl/para.vario.max_lscl);
set(hdl.vario.powr_slider,'Value',para.vario.powr/para.vario.max_powr);
set(hdl.vario.hole_slider,'Value',para.vario.hole/para.vario.max_hole);
set(hdl.vario.disp_range_slider,'Value',para.vario.disp_range/para.vario.max_range);
set(hdl.vario.disp_value_slider,'Value',para.vario.disp_value/para.vario.max_value);

if opt >= 2				% load parameter files, default setings
	set(hdl.vario.variogram,'Value',para.vario.vario);
   set(hdl.vario.correlogram,'Value',para.vario.corr);
   set(hdl.vario.model,'Value',para.vario.model);
	set(hdl.vario.nugt_edit,'String',num2str_n(para.vario.nugt,n));
	set(hdl.vario.range_edit,'String',num2str_n(para.vario.range,n));
	set(hdl.vario.sill_edit,'String',num2str_n(para.vario.sill,n));
	set(hdl.vario.lscl_edit,'String',num2str_n(para.vario.lscl,n));
	set(hdl.vario.powr_edit,'String',num2str_n(para.vario.powr,n));
	set(hdl.vario.hole_edit,'String',num2str_n(para.vario.hole,n));
	set(hdl.vario.res,'String',num2str_n(para.vario.res,n));
	set(hdl.vario.para_file,'value',0);
	set(hdl.vario.file_browser,'enable','off');
end

   