function		file_browser(window,index,type)
% function		file_browser(window,index,type)
%% browse files to be loaded or saved
%%
%%  Kriging Software Package  version 2.0,   October 29, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

global para hdl data

HDIR=para.home_dir;

switch  window 
 case 1							% data preparation window
  if index == 1		% data input conversion filename
   if para.platform == 1
     [filename, filepath]=uigetfile('*.m; *.dll','Select A Data-Conversion File');
   elseif para.platform == 2
     [filename, filepath]=uigetfile('*','Select A Data-Conversion File');
   elseif para.platform == 3
     [filename, filepath]=uigetfile('*.m','Select A Data-Conversion File');
   end
   if isstr(filename)				% file exists
      truncated_filename=filenametruncation(filename);
      para.dataprep.dat_conv_fname=filename;
      para.dataprep.ext_filepath=filepath;			%% added 2/4/00
      set(hdl.dataprep.dat_conv_fname,'string',truncated_filename);
   end   
  elseif index == 2  % input data filename
   if para.platform == 1
     [filename, filepath]=uigetfile('*.dat; *.txt','Select an Input File');
   elseif para.platform == 2
     [filename, filepath]=uigetfile('*','Select an Input File');
   elseif para.platform == 3
     [filename, filepath]=uigetfile('*.dat','Select an Input File');
   end
   if isstr(filename)				% file exists
      truncated_filename=filenametruncation(filename);
      if ~isempty(para.dataprep.filename)
         if ~strcmp(para.dataprep.filename,[filepath filename])...
             | isempty(get(hdl.dataprep.fileID,'string'))
			   set(hdl.dataprep.fileID,'string',filename);
         end
      end
      para.dataprep.filename=[filepath filename];
 	   if isempty(get(hdl.dataprep.fileID,'string'))
         set(hdl.dataprep.fileID,'string',filename);
			para.dataprep.fileID=filename;
		else
			para.dataprep.fileID=get(hdl.dataprep.fileID,'string');
		end
 	   dataprep(1)
   end
  end
 case 2									% fit variogram/correlogram window
  [filename, filepath]=uigetfile('*.mat','Select a Model Parameter File');
   if isstr(filename)
	  fname=[filepath filename];
	  para.vario.para_file=fname;
     load_para_file(fname,1);					% new variogram/correlogram window parameters
     setvariopara(2);							% set both edit field and slider positions
   end
 case 3									% kriging window
	switch index
	 case 1									% parameter file
		if get(hdl.krig.vario_para,'value') == 1		% variogram parameter file
			para_type=1;
      elseif get(hdl.krig.krig_para,'value') == 1	% kriging parameter file
			para_type=2;
      elseif get(hdl.krig.both_para,'value') == 1	% both variogram and kriging parameter file
 			para_type=3;
      end
		if get(hdl.krig.load_para,'value') == 1				 % load parameter file
  			[filename, filepath]=uigetfile('*.mat','Select a Parameter File');
			if isstr(filename)
				para.krig.para_file_in=[filepath filename];
				load_para_file(para.krig.para_file_in,para_type);
		   else
				set(hdl.krig.load_para,'value',0);
				set(hdl.krig.para_file_browser,'enable','off');
				set(hdl.krig.vario_para,'enable','off');
				set(hdl.krig.krig_para,'enable','off');
				set(hdl.krig.both_para,'enable','off');
		      return
			end
		   if para_type >= 2 
				para.status=2;
				setkrigpara(1);
			end			% set kriging parameter from variable struct
		elseif get(hdl.krig.save_para,'value')	== 1			 % save parameter file
  			[filename, filepath]=uiputfile('*.mat','Save to a Parameter File');
			if isstr(filename)
				para.krig.para_file_out=[filepath filename];
				save_para_file(para.krig.para_file_out,1);		% save parameters only
		   else
				set(hdl.krig.para_file_browser,'enable','off');
				set(hdl.krig.save_para,'value',0);
		      return
			end
		end
	 case 2										% load data file
     [filename, filepath]=uigetfile('*.dat','Select an Input Data File');
      if ~isstr(filename) 
			set(hdl.krig.data_file_browser,'enable','off');
			set(hdl.krig.load_data_file,'value',0);
			set(hdl.krig.data_file,'visible','off');
			return;
		end
      para.krig.data_file=[filepath filename];
      set(hdl.krig.data_file,'string',para.krig.data_file);
		truncated_filename=filenametruncation(filename);
		set(hdl.krig.fileID,'string',truncated_filename);
		para.dataprep.fileID=truncated_filename;
		loaddatfile(2);			% load data file from kriging window
		datachk(2);					% calling datachk.m from kriging window
      if ~isfield(para.dataprep,'transform_index') para.dataprep.transform_index=1;end
  		data.in.tv=datatransform(1,data.in.v,para.dataprep.transform_index);	% Forward Data Transformation
		para.krig.load_data_file=1;
 		setkrigpara(1);
	 case 3						% load parameter file from menu bar
		set(hdl.krig.load_para,'value',1);
		radio_action(3,1);
		switch type
			case 1		% load variogram parameters only
				set(hdl.krig.vario_para,'value',1);
				radio_action(3,3);
			case 2		% load kriging parameters only
				set(hdl.krig.krig_para,'value',1);
				radio_action(3,4);
			case 3		% load both variogram and kriging parameters
				set(hdl.krig.both_para,'value',1);
				radio_action(3,5);
		end
	   file_browser(3,1,1);
	 case 4						% save parameter file from menu bar
		set(hdl.krig.save_para,'value',1);
		radio_action(3,2);
	   file_browser(3,1,2);
	 case 5						% load data file from menu bar								
		set(hdl.krig.load_data_file,'value',1);
		radio_action(3,6);
	   file_browser(3,2);
    case 6
      [filename, filepath]=uigetfile('*.dat','Select a File');
      if ~isstr(filename) 
			return;
		end
      para.krig.batch_data_file=[filepath filename];
    case 7
      [filename, filepath]=uiputfile('*.dat','Define a Log Filename');
      if ~isstr(filename) 
			return;
		end
      para.krig.batch_log_file=[filepath filename];
      para.krig.batch_out_dir=filepath;
	end
 case 4									% visualization window
  	if index == 1
  	 [filename, filepath]=uigetfile( '*.mat','Load a .mat File');
    fname_len=length(filename);
    if fname_len > 4
       file_ext=filename(fname_len-2:fname_len);
       if ~strcmp(file_ext,'mat')
	       message(1,'Must be a *.mat file saved with EasyKrig2.0 !!');
	   	 return
		 end
    else
	    return
 	 end
	 fname=[filepath filename];
	 if isstr(filename)
		loaddatfile(3,fname);			% load data file from visualization window		 
	 end
	elseif index == 2
  	 [clrmapfilename, clrmapfilepath]=uigetfile( '*.mat','Load a colormap File');
    if isstr(clrmapfilename)
      eval(['load ' '''' clrmapfilepath clrmapfilename '''']);
      indx=find(clrmapfilename == '.');
      if length(indx) > 0
         eval(['newcolormap=' clrmapfilename(1:indx-1) ';'])
      else
         eval(['newcolormap=' clrmapfilename ';'])
      end
      eval(['colormap(newcolormap)']);
    end
   end
case 5									% save output 
    if ~isfield(data,'in')
         message(1,'Need to load data and perform kriging first!!');
    end
	 default_fname=get(hdl.dispkrig.fileID,'string');
	 indx=find(default_fname == '.')-1;
	 if isempty(indx)
		indx=length(default_fname);
	 end
  	 [filename, filepath]=uiputfile([default_fname(1:indx) '.mat'],'Save output to a File');
	 if isstr(filename)
		 para.save_output.filename=[filepath filename];
	    save_para_file(para.save_output.filename,2);		% save everything
	 end
end										% end window switch
eval(['chdir ' '''' HDIR '''']);

