function getdefaultkrigpara
% function getdefaultkrigpara
% Get DeFault Kriging Parameters
%%
%%  Kriging Software Package  version 2.0,   October 29, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.


global hdl para data

%% relative scale
if para.status >= 1 & isfield(data,'in')
	para.krig.xmin=min(data.in.x);
	para.krig.xmax=max(data.in.x);
	para.krig.ymin=min(data.in.y);
	para.krig.ymax=max(data.in.y);
else
	para.krig.xmin=-1.0;
	para.krig.xmax=1.0;
	para.krig.ymin=-1.0;
	para.krig.ymax=1.0;
end
para.krig.dx=0.05;		
para.krig.dy=0.05;

%% kriging parameters
para.krig.model=2;
para.krig.scheme=1;
para.krig.blk_nx=3;
para.krig.blk_ny=3;
para.krig.srad=0.3;
para.krig.kmin=10;
para.krig.kmax=30;
para.krig.elim=1.5;
para.krig.eps=1e-14;

%% loading/saving parameters
para.krig.load_para=0;
para.krig.save_para=0;
para.krig.vario_para=0;
para.krig.krig_para=0;
para.krig.both_para=1;
para.krig.para_file_in='';
para.krig.para_file_out='';
para.krig.load_data_file=0;
para.krig.data_file='';
para.krig.batch_file_proc=0;

setkrigpara(1);				% set kriging parameter from variable struct


