function	program_info(opt)
% display information about the EasyKrig 2.0 
% opt = 1		% version info
%       2      % READ ME file

global para

switch opt 
case 1
  msg=char({'Copyright (c) 1998, 2001, 2004, property of Dezhang Chu and Woods Hole Oceanographic' ...
  'Institution.  All Rights Reserved.' ...
  '    ', ...
  'The kriging software described in this document was developed by Dezhang Chu ', ...
  'with funding from the National Science Foundation through the U.S. GLOBEC' ... 
  'Georges Bank Project''s Program Service and Data Management Office. It was ' ...
  'inspired by a MATLAB toolbox in MATLAB developed by Yves Gratton and Caroline ' ...
  'Lafleur (INRS-Ocanologie, Rimouski, Qc, Canada) and Jeff Runge (Institut ' ...
  'Maurice-Lamontagne).  The orginal version of trans.m was written by D. Marcotte ' ...
  'and is used with permission. This software may be reproduced for noncommercial ' ...
  'purposes only. This program is distributed in the hope that it will be useful, ' ...
  'but WITHOUT ANY WARRANTY.' ...
  '    ', ...
  'The current EasyKrig3.0 is the upgraded version of the previous version (EasyKrig2.1).', ... 
  'In addition to having corrected some programming errors in the previous version (mostly'...
  'GUI related errors), there are many new features included in the current version:',...
  '     ',...
  '.    Matlab Version 6.x and 7.0 (tested with Windows 2000, XP) compatible',...
  '.    Capable of handling 3-D data',...
  '.    Enhanced batch file processing capability',...
  '.    More flexible in loading input data and saving output data',...
  '.    Capable of handling the customized grid file',...
  '.    More examples with detailed step by step instructions are provided to allow user(s) to master the',... 
  '      functionality of the software package more quickly and easily.'...
  '    ',...
  'Although this software package lacks some abilities such as Co-kriging, it does provide a convenient'...
  'tool for geostatistical applications and should also help scientists from other fields.',...
  '   ',...
  'Contact Dr. Chu at dchu@whoi.edu with enhancements or suggestions for changes.'});
  name='           ABOUT EASYKRIG 3.0';
  if para.Matlab_Version == 5
     help_message(msg,name,[0 0 0]);
  elseif para.Matlab_Version >= 6
     p=general_message('no_action',name,msg);
%     general_message(msg,name,[0 0 1],window_pos);
  end
case 2
  edit 'krig.txt'
case 3
  edit 'Readme.txt'
end

