function      [varname,helpcontent]=dataprephelp(index)
%% help file for data preparation panel

%%  Kriging Software Package  version 1.0 beta,   October 29, 1998
%%  Copyright (c) 1998, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

switch index
  case 2
     varname='Display Preference';
     helpcontent={'X/Y(km) selected: ',
        '         Horizontal and vertical axes are X and Y in kilometers.',
        				'   ',
                    'Lat/long (deg) selected (default) ',
        '         Horizontal and vertical axes are latitude',
        '                       and longitude in degrees.'};
  case 3 
     varname='Data Reduction';
     helpcontent={'Reduction Factor: ',
        '          Ratio of number of the original data points to the number of',
        '          the reduced data points. The reduced points will be used for',
        '          variogram and kriging computations.',
        '       ',
        'Filter:',
        '          Mean: Average over a specified support length (see the ', 
        '                following explanation for support).',
        '         ',
        '          Median: Using median value over the specified support.',
        '           ',
        '          Simple: Simple data reduction (skip points).',
        '       ',
        'Support:',
        '          Filter length. For support of 1, filtering has no effect.'};
  case 4
     varname='Data Transformation';
     helpcontent={'To allow user(s) to transform a raw data set with ',
        'a larger dynamic range to a new data set with a smaller',
        'dynamic range using a formula chosen from the listed',
        'available transformations.',
        '      ',
        'Example 1:  log10(z) transforms z=[1 10 1000] to [0 1 3].',
        '   ',
        'Example 2:  log10(z+1) transforms z=[0 10 1000] to [0 1.0414 3.0004].',
        '   ',
        'Note that if the raw data inculde zeros, one needs to select',
        'either log10(z+1) or log(z+1) since both log10(0) and log(0)',
        'will return -inf.'};
  case 5
     varname='Anisotropy:  angle and aspect ratio';
     helpcontent={'These two parameters will allow user(s) to transform',
        'the raw data set with an anisotropic feature along one direction',
        'to an isotropic data set. Semi-variogram and kriging are performed'
        'using transformed data, but the final kriging results are still'
        'displayed in the original coordinates, i.e., user will not see the'
        'intermediate results in their isotrophic form.',
        '   '
        'Angle: Rotation angle needed to transform anisotropic values', 
        '        along a particular direction (angle) to along horizontal',
        '        and vertical axes. Angle is in degrees and measured counterclockwise',
        '        from the horizontal axis.',
        '       ',
        'Aspect Ratio: Ratio of the vertical range to horizontal'
        '        range in the rotated coordinates'};
  case 6
     varname='File ID';
     helpcontent={'User defined string that characterizes the file.',
     'It enables user(s)to keep track the file, semi-variogram and kriging',
     'results. The default is the data filename.'};
end