function      [varname,helpcontent]=variogramhelp(index)
%% help file for semi-variogram panel

%%  Kriging Software Package  version 1.0 beta,   October 29, 1998
%%  Copyright (c) 1998, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

switch index
  case 1
     varname='Nuggut';
     helpcontent={'A quantity due to nugget effect.',
        'For a semi-variogram, it is the displacement',
        'from zero at lag = 0, while for a coorelogram it is the',
        'displacement from 1 at lag = 0'};
  case 2
     varname='Sill';
     helpcontent={'The asymptotic value as lag approaches infinity for',
        'a semi-variogram. In most cases, this value is close to 1.'};
  case 3 
     varname='Length Scale';
     helpcontent={'The range that reflects the ascending rate for a semi-variogram',
        'or the descending rate for a correlogram. The units are in kilometers'
        'in Variogram Panel. In the Kriging Panel, the displayed value depends',
        'on the choice of Display option specified in Data Preparation Panel.'};
  case 4
     varname='Scale of Hole Effect';
     helpcontent={'This length scale stems from a hole structure',
        'in the data, i.e., a region whose overall values are very small',
        'compared with those of the adjacent regions. Such a feature will',
        'generate an oscillatory pattern in either a semi-variogram',
        'or a correlogram. The unit is 1/km'};
  case 5
     varname='Power';
     helpcontent={'This is a parameter used for general exponential-bessel model',
        'only, and its value controls the ascending rate for a semi-variogram or',
        'descending rate for a correlogram. Particularly, a power of 1 gives',
        'the exponential-bessel model while a power of 2 gives the Gaussian-bessel model'};
  case 6
     varname='Range';
     helpcontent={'The maximum range for computing the semi-variogram/correlogram',
        'The units are in kilometers in Varigram Panel.'};
  case 7
     varname='Resolution';
     helpcontent={'The lag resolution used in computing the semi-variogram',
        'using either measured data or the theoretical variogram model.',
        'The units are in km.'};
  case 8
     varname='Variogram';
     helpcontent={'Actually, it is the semi-variogram normalized by the',
        'the value of the autocorrelation function at lag = 0 (variance).',
        'The relation between this function and correlogram is defined as:',
        '       correlogram =  1 - semi-variogram.' };
  case 9
     varname='Correlogram';
     helpcontent={'This is the autocorrelation function normalized by its',
        'value at lag = 0 (variance). The relation between this',
        'function and correlogram is defined as:',
        '       semi-variogram =  1 - correlogram.' };
  case 10
     varname='Compute';
     helpcontent={'Compute either the semi-variogram or correlogram using'
                  'observed (measured) data.'};
  case 11
     varname='Default';
     helpcontent={'Restore the default parameters for computing the'
                  'semi-variogram or correlogram.'};
  case 12
     varname='LSQ Fit';
     helpcontent={'Perform a Least-Square Fit to find a set of parameters'
                  'that characterize either the semi-variogram or the correlogram.'};
  case 13
     varname='Apply';
     helpcontent={'Compute the theoretical semi-variogram/correlogram using a',
                  'chosen model.'};
  case 14
     varname='Refresh';
     helpcontent={'Reload the data and set parameters to default values.'};
  case 15
     varname='Advanced';
     helpcontent={'Advanced parameter setting for least-square-fit.'};

end