function fig = dataprepfig()
% function fig = dataprepfig()
%%  opens the data preparation window
%%
%%  EasyKrig Software Package  version 2.0,   October 1, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

global hdl para

grey=[0.75 0.75 0.75];
dark_grey=[0.65 0.65 0.65];
etxt_w=hdl.object.edit_w;
Ly=hdl.object.txt_w8;
if ~isempty(findobj('type','figure','Tag','DataPreparation'))
  figure(hdl.dataprep.h0);
  return
end
hdl.dataprep.h0= figure('Units','normalized', ...
	'Color',[0.8 0.8 0.8], ...
	'Name','Data Preparation', ...
	'Position',hdl.window_position, ...
	'Renderer','zbuffer', ...
	'RendererMode','manual', ...
	'Tag','DataPreparation');
	set(gcf,'menubar','none');

% Data Format frame
x0=0.6;y0=0.55;yL=0.4;x1=0.62;y1=0.89;x2=0.78;
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Position',[x0 y0 0.35 yL], ...
	'Style','frame', ...
	'Tag','FrameFileFormat');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 1], ...
	'Position',[0.686  0.94   0.16 .028], ...
	'String','File Format', ...
	'Style','text');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'Callback','dataprep_help(1)', ...
	'FontWeight','bold', ...
	'Position',[0.82 0.94 0.028 0.028], ...
	'String','?');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0], ...
	'Position',[x1  y1   0.12 Ly], ...
	'String','DataFile Col. 1', ...
	'Style','text');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'Callback','dataprep_help(2)', ...
	'FontWeight','bold', ...
	'Position',[x1+0.12 y1 Ly Ly], ...
	'String','?');
opt_str={'LONGITUDE','LATITUDE','DEPTH','X','Y','TIME','Other'};
hdl.dataprep.var1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','popupmenu_action(1,1)', ...
	'FontWeight','bold', ...
	'Position',[x1    y1-etxt_w    0.15    etxt_w], ...
	'String',opt_str, ...
	'Style','popupmenu', ...
	'Tag','Var1', ...
	'Value',2);
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'FontWeight','bold', ...
	'Position',[x2  y1   0.12 Ly], ...
	'String','DataFile Col. 2', ...
	'Style','text');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'Callback','dataprep_help(3)', ...
	'FontWeight','bold', ...
	'Position',[x2+0.12 y1 Ly Ly], ...
	'String','?');
opt_str={'LONGITUDE','LATITUDE','DEPTH','X','Y','ELEVATION','Other'};
hdl.dataprep.var2 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','popupmenu_action(1,2)', ...
	'FontWeight','bold', ...
	'Position',[x2    y1-etxt_w    0.15    etxt_w], ...
	'String',opt_str, ...
	'Style','popupmenu', ...
	'Tag','Var2', ...
	'Value',1);
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'Callback','dataprep_help(4)', ...
	'BackgroundColor',grey, ...
	'FontWeight','bold', ...
	'HorizontalAlignment', 'center', ...
	'Position',[x1 y1-(2*etxt_w+0.015) 0.055 etxt_w], ...
	'String','xLabel');
hdl.dataprep.xlabel = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'Position',[x1+0.055 y1-(2*etxt_w+0.015) 0.095 etxt_w], ...
	'String','LONGITUDE', ...
	'Style','edit', ...
	'Tag','xLabel');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Callback','dataprep_help(5)', ...
	'FontWeight','bold', ...
	'HorizontalAlignment', 'center', ...
	'Position',[x2 y1-(2*etxt_w+0.015) 0.055 etxt_w], ...
	'String','yLabel');
hdl.dataprep.ylabel = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'Position',[x2+0.055 y1-(2*etxt_w+0.015) 0.095 etxt_w], ...
	'String','LATITUDE', ...
	'Style','edit', ...
	'Tag','yLabel');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'Callback','dataprep_help(6)', ...
	'BackgroundColor',grey, ...
	'FontWeight','bold', ...
	'HorizontalAlignment', 'right', ...
	'Position',[x1 y1-(etxt_w+2*(etxt_w+0.015)) 0.055 etxt_w], ...
	'String','xUnit');
hdl.dataprep.xunit = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'Position',[x1+0.05 y1-(etxt_w+2*(etxt_w+0.015)) 0.055 etxt_w], ...
	'String','(deg)', ...
	'Style','edit', ...
	'Tag','xUnit');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Callback','dataprep_help(7)', ...
	'FontWeight','bold', ...
	'HorizontalAlignment', 'right', ...
	'Position',[x2 y1-(etxt_w+2*(etxt_w+0.015)) 0.055 etxt_w], ...
	'String','yUnit');
hdl.dataprep.yunit = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'Position',[x2+0.05 y1-(etxt_w+2*(etxt_w+0.015)) 0.055 etxt_w], ...
	'String','(deg)', ...
	'Style','edit', ...
   'Tag','yUnit');
hdl.dataprep.xdir = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Callback','radio_action(1,1)', ...
	'FontWeight','bold', ...
	'Position',[x1 y1-(etxt_w+3*(etxt_w+0.015))  0.15    etxt_w], ...
	'String','x-axis Reverse', ...
	'Style','radio');
hdl.dataprep.ydir = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Callback','radio_action(1,2)', ...
	'FontWeight','bold', ...
	'Position',[x2 y1-(etxt_w+3*(etxt_w+0.015))  0.15    etxt_w], ...
	'String','y-axis Reverse', ...
	'Style','radio');
   Lextprogstr=0.16;Lvalue=0.08;
hdl.dataprep.ext_prog = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Callback','radio_action(1,3)', ...
	'FontWeight','bold', ...
	'Position',[x1 y1-(etxt_w+4*(etxt_w+0.015))  Lextprogstr    etxt_w], ...
	'String','External Program', ...
	'Style','radio', ...
	'Tag','program');
hdl.dataprep.dat_conv = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'Callback','file_browser(1,1)', ...
	'Position',[x1+Lextprogstr+0.02 y1-(etxt_w+4*(etxt_w+0.015))  0.08  Ly], ...
	'String','Browse', ...
   'Enable','off', ...
	'Tag','ExtFileBrowser');
hdl.dataprep.dat_conv_fname = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'Position',[x1+0.02 y1-(2*etxt_w+4*(etxt_w+0.015)+0.01) 0.25 etxt_w], ...
	'String','', ...
	'Style','edit', ...
   'Visible','off', ...
	'Tag','ExtProgram');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'Callback','dataprep_help(8)', ...
	'FontWeight','bold', ...
	'Position',[x1+Lextprogstr+Lvalue+0.02 y1-(etxt_w+4*(etxt_w+0.015)) Ly Ly], ...
	'String','?');

% Data Reduction Processing
x0=0.6;y0=0.28;xL=0.35;yL=0.22;Ly=0.032;
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'Position',[x0 y0 xL yL], ...
	'Style','frame', ...
	'Tag','FrameDataReduction');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',dark_grey, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 1], ...
	'Position',[x0+0.02 y0+yL-0.01 0.3 Ly], ...
	'String','Data Reduction', ...
	'Style','text');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'Callback','dataprep_help(9)', ...
	'FontWeight','bold', ...
	'Position',[x0+0.32-Ly y0+yL-0.01 etxt_w etxt_w], ...
	'String','?');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontWeight','bold', ...
	'HorizontalAlignment', 'right', ...
	'Position',[x0+0.02 y0+0.13 0.17 etxt_w], ...
	'String','Reduction Factor', ...
	'Style','text');
hdl.dataprep.reduct_fac = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'Position',[x0+0.2 y0+0.13 0.1 etxt_w], ...
	'String','1', ...
	'Style','edit', ...
	'Tag','ReductionFactor');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'Callback','dataprep_help(10)', ...
	'FontWeight','bold', ...
	'Position',[x0+0.3 y0+0.13 etxt_w etxt_w], ...
	'String','?');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontWeight','bold', ...
	'Position',[x0+0.09 y0-etxt_w+0.12 0.1 etxt_w], ...
	'String','Filter', ...
	'HorizontalAlignment', 'right', ...
	'Style','text');
str_opt={'Simple','Mean','Median'};
hdl.dataprep.filter = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'Callback','popupmenu_action(1,3)', ...
	'BackgroundColor',[1 1 1], ...
	'FontWeight','bold', ...
	'Position',[x0+0.20 y0-etxt_w+0.12 0.1 etxt_w], ...
	'String',str_opt, ...
	'Style','popupmenu', ...
	'Tag','Filter', ...
	'Value',2);
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'Callback','dataprep_help(11)', ...
	'FontWeight','bold', ...
	'Position',[x0+0.3 y0-etxt_w+0.12 etxt_w etxt_w], ...
	'String','?');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontWeight','bold', ...
	'Position',[x0+0.09 y0-2*(etxt_w+0.02)+0.14 0.1 etxt_w], ...
	'HorizontalAlignment', 'right', ...
	'String','Support', ...
	'Style','text');
hdl.dataprep.filter_supt = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'Position',[x0+0.2 y0-2*(etxt_w+0.02)+0.14 0.1 etxt_w], ...
	'String','1', ...
	'Style','edit', ...
	'Tag','FilterSupport');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'Callback','dataprep_help(12)', ...
	'FontWeight','bold', ...
	'Position',[x0+0.3 y0-2*(etxt_w+0.02)+0.14 etxt_w etxt_w], ...
	'String','?');

% Data Transformation
x0=0.6;y0=0.15;
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 1], ...
	'Position',[x0+etxt_w y0+0.06 0.19 etxt_w], ...
	'String','Data Transformation', ...
	'Style','text');
opt_str={'none','log10(z+1)','ln(z+1)','10log10(z+1)','10ln(z+1)','log10(z)','ln(z)',};
hdl.dataprep.transform = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'callback', 'popupmenu_action(1,4)', ...
	'FontWeight','bold', ...
	'Position',[x0+0.23 y0+0.06 0.12 etxt_w], ...
	'String',opt_str, ...
	'Style','popupmenu', ...
	'Tag','TransformOpt', ...
	'Value',1);
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'Callback','dataprep_help(13)', ...
	'FontWeight','bold', ...
	'Position',[x0 y0+0.06 etxt_w etxt_w], ...
	'String','?');

% File ID
dx=0.005;
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'Position',[0.1+dx 0.05 0.095  etxt_w], ...
	'String','File ID', ...
	'Style','text');
hdl.dataprep.fileID = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'Position',[0.20 0.05 0.36 etxt_w], ...
	'Style','edit', ...
	'Tag','FileID');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'Callback','dataprep_help(14)', ...
	'FontWeight','bold', ...
	'Position',[0.1-etxt_w 0.05 etxt_w etxt_w], ...
	'String','?');

%% figure window
hdl.dataprep.axes1 = axes('Parent',hdl.dataprep.h0, ...
	'Color',[1 1 1], ...
	'Position',[0.1 0.63 0.46 0.33], ...
	'Tag','dataprepAxes1');
hdl.dataprep.axes2 = axes('Parent',hdl.dataprep.h0, ...
	'Color',[1 1 1], ...
	'Position',[0.1 0.19 0.46 0.33], ...
	'Tag','dataprepAxes2');

%% Pushbutton for Action
pbtn_w=hdl.object.pushbtn_w;
pbtn_l=hdl.object.pushbtn_l;
hdl.dataprep.h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'Callback','file_browser(1,2)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'Position',[0.60 0.05+pbtn_w+0.01 pbtn_l pbtn_w], ...
	'String','Load', ...
	'Tag','Loading');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'Callback','dataprep(2)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'Position',[0.60 0.05 pbtn_l pbtn_w], ...
	'String','Apply', ...
	'Tag','Action');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'Callback','figure(hdl.navigator.h0)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'Position',[0.80  0.05+pbtn_w+0.01  pbtn_l pbtn_w], ...
	'String','Navigator', ...
	'Tag','Navigator');
h1 = uicontrol('Parent',hdl.dataprep.h0, ...
	'Units','normalized', ...
	'Callback','close_window(1)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'Position',[0.80 0.05  pbtn_l pbtn_w], ...
	'String','Quit', ...
	'Tag','Quit');

hdl.dataprep.h1=uimenu(hdl.dataprep.h0,'label','&File','separator','on');
hdl.dataprep.h1a=uimenu(hdl.dataprep.h1,'label','&Load Data','callback','file_browser(1,2);','separator','on');
hdl.dataprep.h1b=uimenu(hdl.dataprep.h1,'label','&Quit','callback','close_window(1);','separator','on');
h2= uimenu('Parent',hdl.dataprep.h0,'label','&Navigator');
h2a=uimenu(h2,'label','&Open','callback','figure(hdl.navigator.h0);');
h4=uimenu('Parent',hdl.dataprep.h0,'label','&Variogram');
h4a= uimenu(h4,'label','&Open','callback','fit_vario_corfig;');
h4b= uimenu(h4,'label','&Close','callback','close_window(2);');
h5= uimenu('Parent',hdl.dataprep.h0,'label','&Kriging');
h5a= uimenu(h5,'label','&Open','callback','krigingfig;');
h5b= uimenu(h5,'label','&Close','callback','close_window(3);');
h6= uimenu('Parent',hdl.dataprep.h0,'label','&Display');
h6a= uimenu(h6,'label','&Open','callback','visualizationfig;');
h6b= uimenu(h6,'label','&Close','callback','close_window(4);');
h9= uimenu('Parent',hdl.dataprep.h0,'label','&Quit');
h9a= uimenu(h9,'label','&Close','callback','close_window(1);');
h9b= uimenu(h9,'label','Quit &EasyKrig','callback','close all;');

para.dataprep.ext_prog=0;
para.dataprep.dat_conv_fname='';
para.dataprep.xy_switch=0;
hdl.dataprep.status=1;

if nargout > 0, fig = h0; end
