function getdefaultvariopara(opt)
% function getdefaultvariopara(opt)
%% get default variogram parameters
%% opt = 1			start variogram/correlogram window
%%     = 2			refresh the window parameter
%%
%%  Kriging Software Package  version 2.0,   October 29, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

%% default value

global hdl para

para.vario.max_nugt=1;
para.vario.max_sill=1.5;
para.vario.max_powr=4.0;
para.vario.max_range=sqrt(2);			% normalized range
para.vario.max_hole=4*pi/para.vario.max_range;
para.vario.max_lscl=para.vario.max_range;
para.vario.max_value=3;				% maximum value of semi-variogram

para.vario.range=0.95;
para.vario.res=0.025;								% relative to the total range sqrt(2)
para.vario.vario=1;
para.vario.corr=0;
para.vario.nugt=0;
para.vario.sill=1;
para.vario.lscl=0.1;
para.vario.powr=1.5;
para.vario.hole=0;
para.vario.model=13;
para.vario.disp_range=1.0;
para.vario.disp_value=2.0;

para.vario.angle=0;				% anisotropy angle in degree
para.vario.ratio=1;
para.vario.ang_res=10;			% angle resolution in degree
	
setvariopara(2);						% set both edit field and slider positions
setvariopara(4);						% set anisotropy parameters from para. struct
if para.status >= 1.5  & hdl.vario.status == 1	& opt ~= 1 % semi-variogram/correlogram is open & 
   														% data-based semi-variogram/correlogram is plotted
   plot1d_vario_corr(1);							% re-plot data-based semi-variogram/correlogram to
   														% restore semi-variogram
else
   para.vario.corr=0;
end

if opt == 1
   para.status=1;
else
   if para.status == 2									% delete previously plotted model-based semi-variogram/correlogram
     delete(hdl.vario.theo_plot);
     para.status=1.5;
     manualfit(1);
   end
end




