function		load_para_file(filename,para_type)
% function		load_para_file(filename,para_type)
% loads parameters from a file
%% para_type = 1   		load variogram parameter file
%%				 = 2			load kriging parameter file
%% 			 = 3			load a file with both variogram and kriging parameters

%%  Kriging Software Package  version 2.0,   October 29, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

global hdl para data

%% do not alter other parameters
para1=para;
data1=data;					

%% some load file parameters need to be preserved 

%% save particular parameters
load_vario_para1=para.vario.load_para;
vario_parafile=para.vario.para_file;
load_krig_loadpara=para.krig.load_para;
load_krig_variopara=para.krig.vario_para;
load_krig_krigpara=para.krig.krig_para;
load_krig_bothpara=para.krig.both_para;
krig_parafile_in=para.krig.para_file_in;
krig_loaddata=para.krig.load_data_file;
krig_datafile=para.krig.data_file;
krig_batch_proc=para.krig.batch_file_proc;

eval(['load '  '''' filename '''' ])

switch para_type
	case 1									% variogram/correlogram parameters only
		para1.vario=para.vario;
	case 2									% kriging parameters only
		para1.krig=para.krig;
	case 3									% dataprep, variogram/correlogram, and kriging parameters
		para1.vario=para.vario;
		para1.krig=para.krig;
		para1.dataprep=para.dataprep;
end
para=para1;
data=data1;

%% recover particular parameters
para.vario.load_para=load_vario_para1;
para.vario.para_file=vario_parafile;
para.krig.load_para=load_krig_loadpara;
para.krig.vario_para=load_krig_variopara;
para.krig.krig_para=load_krig_krigpara;
para.krig.both_para=load_krig_bothpara;
para.krig.para_file_in=krig_parafile_in;
para.krig.load_data_file=krig_loaddata;
para.krig.data_file=krig_datafile;
para.krig.batch_file_proc=krig_batch_proc;

switch para.platform
  case 1				% Windows95/98/NT
  case 2 			%
return