function fig = main_menu()
%% function fig = main_menu()
%%  opens the base window
%%
%%  EasyKrig Software Package  version 2.0,   October 1, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

global hdl

grey=[0.75 0.75 0.75];
dark_grey=[0.65 0.65 0.65];
load window_position
hdl.window_position=win_pos;

hdl.navigator.h0 = figure('Units','normalized', ...
	'Color',[0.8 0.8 0.8], ...
	'Name','Navigator', ...
	'Position',win_pos, ...
	'Tag','Navigator');
set(gcf,'menubar','none');
h1 = uicontrol('Parent',hdl.navigator.h0, ...
	'Units','normalized', ...
	'Callback','copyright', ...
	'BackgroundColor',grey, ...
	'FontSize',16, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 1], ...
	'Position',[0.26 0.9 0.5 0.06], ...
	'String','EasyKrig   V2.0', ...
	'Style','text');
h1 = uicontrol('Parent',hdl.navigator.h0, ...
	'Units','normalized', ...
	'BackgroundColor',grey, ...
	'FontSize',14, ...
	'FontWeight','bold', ...
	'ForegroundColor',[0 0 0], ...
	'Position',[0.1 0.85 0.8 0.05], ...
	'String','WOODS HOLE OCEANOGRAPHIC INSTITUTION', ...
	'Style','text');
h1 = uicontrol('Parent',hdl.navigator.h0, ...
	'Units','normalized', ...
	'Callback','close all', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'Position',[0.82 0.1 0.1 0.06], ...
	'String','Quit', ...
	'Tag','Quit');
h1 = uicontrol('Parent',hdl.navigator.h0, ...
	'Units','normalized', ...
	'Callback','program_info(2);', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'Position',[0.1 0.1 0.15 0.06], ...
	'String','Instruction', ...
	'Tag','Instruction');

h2= uimenu('Parent',hdl.navigator.h0,'label','&Task');
h2a=uimenu(h2,'label','&Load Data','callback','dataprepfig;','separator','on');
h2b=uimenu(h2,'label','&Variogram','callback','fit_vario_corfig;','separator','off');
h2c=uimenu(h2,'label','&Kriging','callback','krigingfig;','separator','off');
h2d=uimenu(h2,'label','&Visualization','callback','visualizationfig;','separator','off');
h2e=uimenu(h2,'label','&Save Output','callback','file_browser(5);','separator','off');

h3= uimenu('Parent',hdl.navigator.h0,'label','&Load Data');
h3a= uimenu(h3,'label','&Open','callback','dataprepfig;');
h3b= uimenu(h3,'label','&Close','callback','close_window(1);');
h4=uimenu('Parent',hdl.navigator.h0,'label','&Variogram');
h4a= uimenu(h4,'label','&Open','callback','fit_vario_corfig;');
h4b= uimenu(h4,'label','&Close','callback','close_window(2);');
h5= uimenu('Parent',hdl.navigator.h0,'label','&Kriging');
h5a= uimenu(h5,'label','&Open','callback','krigingfig;');
h5b= uimenu(h5,'label','&Close','callback','close_window(3);');
h6= uimenu('Parent',hdl.navigator.h0,'label','&Display');
h6a= uimenu(h6,'label','&Open','callback','visualizationfig;');
h6b= uimenu(h6,'label','&Close','callback','close_window(4);');
h7= uimenu('Parent',hdl.navigator.h0,'label','&About');
h7a=uimenu(h7,'label','&EasyKrig2.0','callback','program_info(1);');
h7b=uimenu(h7,'label','&Variable Structure','callback','edit variables.txt;');
h8= uimenu('Parent',hdl.navigator.h0,'label','&Save Window Position');
h8a= uimenu(h8,'label','Save &Position','callback','save_window_pos;');
h8b= uimenu(h8,'label','&Default Position','callback','default_win_pos;');
h9= uimenu('Parent',hdl.navigator.h0,'label','&Quit');
h9a= uimenu(h9,'label','Quit &EasyKrig','callback','close all;');
h9b= uimenu(h9,'label','Quit &Matlab','callback','quit;');


if nargout > 0, fig = hdl.navigator.h0; end
