function		radio_action(window_index,option_index)
% function		radio_action(window_index,option_index)
% takes an action corresponding to the radio selection
%%
%%  EasyKrig Software Package  version 2.0,   October 1, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

global hdl para

switch window_index
	case 1					% data preparation window
		switch(option_index)
		  case 1
			 if get(hdl.dataprep.xdir,'value');
			   set(hdl.dataprep.axes1,'xdir','reverse');
          else
            set(hdl.dataprep.axes1,'xdir','normal');
			 end
		  case 2
			 if get(hdl.dataprep.ydir,'value');
			   set(hdl.dataprep.axes1,'ydir','reverse');
          else
            set(hdl.dataprep.axes1,'ydir','normal');
			 end
 		  case 3				%
			 if get(hdl.dataprep.ext_prog,'value');
              set(hdl.dataprep.dat_conv,'enable','on')
              set(hdl.dataprep.dat_conv_fname,'visible','on');
     		     para.dataprep.ext_prog=1;
       	else
              set(hdl.dataprep.dat_conv,'enable','off')
              set(hdl.dataprep.dat_conv_fname,'visible','off');
				  para.dataprep.ext_prog=0;
          end
	   end
	case 2		% semi-variogram/correlogram window
		switch option_index 
			case 1								% select variogram 
				if get(hdl.vario.variogram,'value')
					set(hdl.vario.correlogram,'value',0);
				else
					set(hdl.vario.correlogram,'value',1);
				end	
           if para.status == 1.5
               plot1d_vario_corr(1);
            elseif para.status == 2
               plot1d_vario_corr(1);
               manualfit(1); 
            end
            if strcmp('on',get(hdl.vario.colorbar2,'visible') ) plot2d_vario_corr;end
			case 2								% select correlogram
				if get(hdl.vario.correlogram,'value')
					set(hdl.vario.variogram,'value',0);
				else
					set(hdl.vario.variogram,'value',1);
				end
            if para.status == 1.5
               plot1d_vario_corr(1);
            elseif para.status == 2
				  corr_y_min=1-max(get(hdl.vario.axes1,'ylim'));
              plot1d_vario_corr(1);
              manualfit(1); 
				  corr_y_max=max(get(hdl.vario.axes1,'ylim'));
				  set(hdl.vario.axes1,'ylim',[corr_y_min corr_y_max] );
            end
            if strcmp('on',get(hdl.vario.colorbar2,'visible') ) plot2d_vario_corr;end
			case 3							% load parameter file
				if get(hdl.vario.para_file,'value');
					para.vario.load_para=1;
					set(hdl.vario.file_browser,'enable','on');
				else
					set(hdl.vario.file_browser,'enable','off');
					para.vario.load_para=0;
				end	
			case 4							% Enable 2D variogram 
				setvariopara(3);
			end
	case 3				% kriging window
		switch option_index 
			case 1			% load parameter file
				if get(hdl.krig.load_para,'value') 
					para.krig.load_para=1;
				   set(hdl.krig.save_para,'value',0);
					set(hdl.krig.para_file_browser,'enable','on');
					set(hdl.krig.vario_para,'value',para.krig.vario_para,'enable','on');
					set(hdl.krig.krig_para,'value',para.krig.krig_para,'enable','on');
					set(hdl.krig.both_para,'value',para.krig.both_para,'enable','on');
				else
					para.krig.load_para=0;
					set(hdl.krig.para_file_browser,'enable','off');
					set(hdl.krig.vario_para,'value',para.krig.vario_para,'enable','off');
					set(hdl.krig.krig_para,'value',para.krig.krig_para,'enable','off');
					set(hdl.krig.both_para,'value',para.krig.both_para,'enable','off');
				end	
			case 2		% save parameter file
				if  get(hdl.krig.save_para,'value')
					para.krig.save_para=1;
					set(hdl.krig.load_para,'value',0);
					set(hdl.krig.para_file_browser,'enable','on');
					set(hdl.krig.vario_para,'value',para.krig.vario_para,'enable','off');
					set(hdl.krig.krig_para,'value',para.krig.krig_para,'enable','off');
					set(hdl.krig.both_para,'value',para.krig.both_para,'enable','off');
				else
					set(hdl.krig.para_file_browser,'enable','off');
					para.krig.save_para=0;
				end	
 			case 3		% variogram parameter file only
				if  get(hdl.krig.vario_para,'value')
					para.krig.vario_para=1;
					para.krig.krig_para=0;
					para.krig.both_para=0;
					set(hdl.krig.krig_para,'value',0);
					set(hdl.krig.both_para,'value',0);
				end
			case 4		% kriging parameter file only
				if get(hdl.krig.krig_para,'value')
					para.krig.vario_para=0;
					para.krig.krig_para=1;
					para.krig.both_para=0;
				set(hdl.krig.vario_para,'value',0);
					set(hdl.krig.both_para,'value',0);
				end
			case 5		% both variogram and kriging parameter files
				if get(hdl.krig.both_para,'value')
					para.krig.vario_para=0;
					para.krig.krig_para=0;
					para.krig.both_para=1;
					set(hdl.krig.vario_para,'value',0);
					set(hdl.krig.krig_para,'value',0);
				end
			case 6		% load data file
				if get(hdl.krig.load_data_file,'value') 
					para.krig.load_data_file=1;
					set(hdl.krig.data_file_browser,'enable','on');
					set(hdl.krig.data_file,'visible','on');
     				if para.krig.xmin == -1 % reset the display value based on the loaded data
       				msg=['Use the default parameters (data reduction, x and y axes settings, etc.) '...
            			'to perform initial data processing. This may not be what you want. You '...
            			'can load parameter file first to ensure that you have the correct parameters. '];
       				message(1,msg); 
			    	end
				else
					set(hdl.krig.data_file_browser,'enable','off');
					set(hdl.krig.data_file,'visible','off');
				end
 			case 7  		% batch file processing
 				if get(hdl.krig.batch_file_proc,'value') 
					para.krig.batch_file_proc=0;
					set(hdl.krig.batch_data_file_browser,'enable','on');
					set(hdl.krig.batch_data_file_help,'enable','on');
					set(hdl.krig.batch_data_file,'enable','on');
					set(hdl.krig.batch_log_file_browser,'enable','on');
					set(hdl.krig.batch_log_file_help,'enable','on');
					set(hdl.krig.batch_log_file,'enable','on');
					set(hdl.krig.batch_krig,'enable','on');
				else
					para.krig.batch_file_proc=0;
					set(hdl.krig.batch_data_file_browser,'enable','off');
					set(hdl.krig.batch_data_file_help,'enable','off');
					set(hdl.krig.batch_data_file,'enable','off');
					set(hdl.krig.batch_log_file_browser,'enable','off');
					set(hdl.krig.batch_log_file_help,'enable','off');
					set(hdl.krig.batch_log_file,'enable','off');
					set(hdl.krig.batch_krig,'enable','off');
				end	
			end
	case 4			%visualization window			
		switch option_index 
		  case 1			%  set x-axis direction
			 if get(hdl.dispkrig.xdir,'value');
			   set(hdl.dispkrig.axes1,'xdir','reverse');
			   set(hdl.dispkrig.axes2,'xdir','reverse');
          else
            set(hdl.dispkrig.axes1,'xdir','normal');
            set(hdl.dispkrig.axes2,'xdir','normal');
			 end
		  case 2			% set y-axis direction
			 if get(hdl.dispkrig.ydir,'value');
			   set(hdl.dispkrig.axes1,'ydir','reverse');
			   set(hdl.dispkrig.axes2,'ydir','reverse');
          else
            set(hdl.dispkrig.axes1,'ydir','normal');
            set(hdl.dispkrig.axes2,'ydir','normal');
			 end
	 	  case 3			% data forward/inverse transformation
			 para.dispkrig.Qcheck=0;
			 para.dispkrig.JKcheck=0;
			 dispkrig(1)
		  end
end