function      dataprep_help(index)
%% function      dataprep_help(index)
%% displays help file for data preparation window
%%
%%  Kriging Software Package  version 2.0,   October 29, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

switch index
  case 1				
	  varname='Data Format';
	  content={'Three column ASCII file:',
					'	',
					'  Colume #1   Column #2    Colume #3', 
					'  coord(1,1)  coord(1,2)   data(1)',
					'  coord(2,1)  coord(2,2)   data(2)',
					'		. . .					',
					'  coord(n,1)  coord(n,2)   data(n)'};
  case 2
	  varname='Column 1';
	  content=[
			'Variable name of the first column (coordinate 1). If ''Other'' is ' ...
         'selected, user should specify the ''xlabel'' and ''xunit''. '];
  case 3
	  varname='Column 2';
	  content=[
			'Variable name of the second column (coordinate 2). If ''Other'' ' ...
         'is selected, user should specify the ''ylabel'' and ''yunit''. '];
  case 4
     varname='X-axis label Preference';
     content=[
		  'Contents of x-axis (horizontal axis) label displayed in 2-D plot. ' ...
		  'If latitude and longitude are the position coordinates, longitude ' ...
        'will be automatically chosen as x-axis (horizontal axis).'];
  case 5
     varname='Y-axis label Preference';
     content=[
		  'Contents of y-axis (vertical axis) label displayed in 2-D plot. ' ...
 		  'If latitude and longitude are the position coordinates, longitude ' ...
        'will be automatically chosen as x-axis (horizontal axis).'];
  case 6
     varname='X-axis Unit';
     content=[
		  'Units of x-axis (horizontal axis) in 2-D plot. It is only for display '...
        'and can be any unit specified by the user. It will not affect the '...
        'kriging results.'];
  case 7
     varname='Y-axis Unit ';
     content=[
		  'Units of y-axis (vertical axis) in 2-D plot. It is only for display '...
        'and can be any unit specified by the user. It will not affect the '...
        'kriging results.'];
  case 8
     varname='External (user defined) Program:';
     content={
		   'This option allows user to use his (her) own program to access their ' ,
         'data without requiring a separate data file. The syntax to call ' ,
         'the external program is:',
			'    [col1 col2 col3]=function_name(filename)',
			'		',
			'where col1 and col2 are x and y coordinate column arrays and col3 ' ,
         'is the data value. ''function_name'' is the name of your program specified, ' ,
         'either by typing in the filename field or using the file browser. ' ,
			'''filename'' is the filename of the data file obtained by using ' ,
         'the data file browser after clicking the ''Load'' command button. '};
  case 9 
     varname='Data Reduction';
     content=[
        'Reduce the number of the original data points to speed up ' ...
        'variogram and kriging computations.'];
  case 10 
     varname='Reduction Factor:';
     content=['Ratio of the number of the original data points to the number of ' ...
        'the reduced data points. The reduced data will be used for ' ...
        'variogram and kriging computations.'];
  case 11
	  varname='Filter:';
     content={
        '          Simple: Simple data reduction (skip points).' ,
        '           ',
     	  '          Mean: Moving average over a specified support length. ' ,
     	  '          		 Sub-sampling is performed after the averaging.',
        '         ',
        '          Median: Using median value over the specified support. ' ,
      	  '          		 Sub-sampling is performed after the filtering.',
       '       '};
  case 12
     varname='Support:';
     content=[
      '          Filter length. For support of 1, filtering has no effect.'];
  case 13
     varname='Data Transformation';
     content={'To allow user(s) to transform a raw data set with ' ,
        'a larger dynamic range to a new data set with a smaller ' ,
        'dynamic range using a formula chosen from the listed ' ,
        'available transformations.',
        '      ',
        'Example 1:  log10(z) transforms z=[1 10 1000] to [0 1 3].',
        '   ',
        'Example 2:  log10(z+1) transforms z=[0 10 1000] to [0 1.0414 3.0004].',
        '   ',
        'Note that if the raw data include zeros,  select ' ,
        'either log10(z+1) or log(z+1), since both log10(0) and log(0) ' ,
        'will return -inf.'};
  case 14
     varname='File ID';
     content=['User defined string that characterizes the file. ' ...
     'It enables user(s)to keep track the file, semi-variogram and kriging ' ...
     'results. The default is the data filename.'];
end

help_message(content,varname,[0 0 0]);