function      displaykrighelp(index)
%% function      displaykrighelp(index)
%% displays help file for display-kriging-result window
%%  index = index of options
%%  Kriging Software Package  version 2.0,   October 29, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

global hdl

switch index
  case 0						% not currently available
     varname='Interp to Mesh Node and Save To S2R File';
     content=['Interpolate the values for kriging image (regular gridded data ' ...
        'to the mesh nodes specified in a chosen file and save the interpolated ' ...
        'values to a file with S2R file format.'];
  case 1					
     varname='Untransformed/Transformed Data:';
     content=['If the data transformation is defined in the Data Preparation window, ' ...
        'selection of this radio button allows the user(s) to display the transformed/untransformed ' ...
		  'data and the corresponding kriging results.'];
  case 2
	  varname='Display Threshold:';
	  content=['This is the threshold that controls the Kriging image display. The values on the Kriging Map '...
				  'where the corresponding values on the Kriging Variance image are greater than this specified number ', ...
              'will be set to NaN''' 's and their display will be blanked out. This value only affects the display.'];
  case 3
	  varname='Individual Plot:';
	  content=['Select one of the listed options results in a new graphic window, '...
				  'where only the selected plot is displayed.'];
  case 4
	  varname='Cross-Validation:';
	  content=['Four different cross validation methods can be used to check the ' ...
					'variogram model and kriging parameters. Each provides ' ...
					'useful information for user(s) to evaluate the kriging results.'];
  case 5
 %   index2 = index of cross-validation methods
    index2=get(hdl.dispkrig.validationmodel,'value');
    if index2 >= 3 index2=3;end   
    switch index2
	 	case 1	
	  varname='Double Kriging:';
	  content=['This cross-validation scheme is to evaluate the level of aggreement between the kriged or predicted '...
              'values and the original observations at all observation locations. The predicted data at grids obtained ' ...
              'from the kirging (first pass) are served as ''input data''. The mean value at the original observation locations are '...
              'estimated by kriging (second pass) with the same kriging parameters and variogram model parameters. '...
				  'The results from the second kriging are then compared with the original observed data in a separate plot.'];
	 	case 2	
	  varname='Leave One Out:';
	  content=['Same as '' Double Kriging'' except that, for each location, all observed data but the one at that location '...
              'are served as ''input data'' in perfroming second pass kriging. The results from this kriging are compared ' ...
				  'with the original observed data in a separate plot.'];
	 	case 3	
	  varname='Q-1 & Q-2:';
	  content=['Q-1 and Q-2 cross validations are used to check the statistical distribution of the residuals '...
              'between the observed data and kriged values at the original observation locations by using the '...
				  'same kriging parameters and variogram model parameters. To perform Q-1 and Q-2 ' ...
				  'cross validations, a normalized residual array (Er) needs to be constructed (see ''Introduction ' ...
    			  'to geostatistics, Application in Hydrogeology '' by Kitanidis, Cambridge Univ. Press, 1997, '...
              'pp 86-95). The Q-1 cross validation checks the statistics of the mean of the residual Er while '...
              'Q-2 cross validation checks the statistics of the variance of Er. It can be shown '...
              'that Q-1 approximately follows the normal distribution, and (Q-2)*(n-1) approximately '...
              'follows the chi-square distribution with parameter n-1. The acceptable '...
				  'region defined in the program (two black vertical lines) is the 0.025 and 0.975 percentiles'];
     end
end
help_message(content,varname,[0 0 0]);

