function		dataprep(status)
% function		dataprep(status)
%% Load data file and specify necessary specification
%					status = 1		load input file
%							 = 2		do not load input file
%							 = 3		do not load input file, just perform date transformation

%%  Kriging Software Package  version 2.0,   October 29, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.


global data hdl para

clr_max=length(colormap);

if status> 1 & isempty(data)
	message(1,'Data have not been loaded yet !!!');
   return
end
if status <= 2
%%%%%%%%%%%%%%%%%%%%%%%% load data into memory %%%%%%%%%%%%%%%%%%
  loaddatfile(1);				% load data file from data preparation window
end

if status <= 2 
%%%%%%%%  delete nans, filtering and data reduction %%%%%%%%%
  datachk(1);					% call from dataprep window
end

%% Data Transformation 
  data.in.tvar=datatransform(1,data.in.var);		% forward transformation on the original data
  data.in.tv=datatransform(1,data.in.v);			% forward transformation on the normalized data
 
%%%%%%%%%%%%%%%%%  plot the data  %%%%%%%%%%%%%%%%%
  hv1=hdl.dataprep.axes1;
  hld1i=get(hv1,'children');
  for i=1:length(hld1i)
    delete(hld1i(i))
  end

  n=length(data.in.x);
  x=para.dataprep.x_norm*data.in.x./para.dataprep.latlonfac+para.dataprep.x_offset;
  y=para.dataprep.y_norm*data.in.y+para.dataprep.y_offset;
  var=data.in.tv;
  sta=1:n;
  Pos1=get(hv1,'position');
  set(hv1,'xticklabel','','xtick',[])
  set(hv1,'yticklabel','','ytick',[])
  set(hv1,'yticklabel','','xticklabel','')
  set(get(hv1,'xlabel'),'string','')
  set(get(hv1,'ylabel'),'string','')
  hdl.dataprep.axes1=axes('parent',hdl.dataprep.h0,'position',Pos1,'Tag','dataprepAxes1','NextPlot','replace');
  clr=max(0,floor(clr_max*(var-min(var))/(max(var)-min(var))))+1;
  clr=min(clr,clr_max);
  cmap=colormap;
  inc=max(1,round(n/1600));
  for i=1:inc:n
     plot(x(i),y(i),'.','color',cmap(clr(i),:),'markersize',para.dispkrig.markersize);
     if i == 1;hold on,end
  end
  hold off
  xstr1=get(hdl.dataprep.xlabel,'string');
  xstr2=get(hdl.dataprep.xunit,'string');
  xlabel_str=[char(xstr1) ' ' char(xstr2)];
  ystr1=get(hdl.dataprep.ylabel,'string');
  ystr2=get(hdl.dataprep.yunit,'string');
  ylabel_str=[char(ystr1) ' 'char(ystr2)];
  hx1=xlabel(xlabel_str);
  hy1=ylabel(ylabel_str);
  para.dataprep.xlabel=xlabel_str;
  para.dataprep.ylabel=ylabel_str;
  xdir=get(hdl.dataprep.xdir,'value');
  if xdir == 1
     set(hdl.dataprep.axes1,'xdir','reverse');
  else
     set(hdl.dataprep.axes1,'xdir','normal');
  end
  ydir=get(hdl.dataprep.ydir,'value');
  if ydir == 1
     set(hdl.dataprep.axes1,'ydir','reverse');
  else
     set(hdl.dataprep.axes1,'ydir','normal');
  end

  hvl1=[hx1 hy1];
  set(hvl1,'fontweight','bold')
  if get(hdl.dataprep.var1,'Value') < 3 | get(hdl.dataprep.var2,'Value') < 3	% either x or y is Lat/Long
     ntick=4;
     [xinc,xdits,yinc,ydits]=get_ninc(hdl.dataprep.axes1,ntick);
     if get(hdl.dataprep.var1,'Value') < 3
      if max(data.in.var1) <= 180 & min(data.in.var1) >= -180
        mapax(xinc,xdits,yinc,ydits,hdl.dataprep.axes1,1);
      end
	  end
     if get(hdl.dataprep.var2,'Value') < 3
      if max(data.in.var2) <= 180 & min(data.in.var2) >= -180
       mapax(xinc,xdits,yinc,ydits,hdl.dataprep.axes1,2);
      end
	  end
     tick_len=size(get(hdl.dataprep.axes1,'yticklabel'),2);
     switch tick_len
       case 9
			set(hdl.dataprep.axes1,'fontsize',9)
       case 10
			set(hdl.dataprep.axes1,'fontsize',8)
     end
  end
  drawnow

  hv2=hdl.dataprep.axes2;
  hld2i=get(hv2,'children');
  for i=1:length(hld2i)
   delete(hld2i(i))
  end

  Pos2=get(hv2,'position');
  set(hv2,'xticklabel','','xtick',[])
  set(hv2,'yticklabel','','ytick',[])
  set(hv2,'yticklabel','','xticklabel','')
  set(get(hv2,'xlabel'),'string','')
  set(get(hv2,'ylabel'),'string','')
  hdl.dataprep.axes2=axes('parent',hdl.dataprep.h0,'position',Pos2,'Tag','dataprepAxes2','NextPlot','replace');
  plot(sta,var,'-')
  hold on
  for i=1:inc:n
   plot(sta(i),var(i),'.','color',cmap(clr(i),:),'markersize',para.dispkrig.markersize);
  end
  hold off

  hx2=xlabel('Sample Sequence');
  hy2=ylabel('Observation Value');
  hvl2=[hx2 hy2];
  set(hvl2,'fontweight','bold')
    
  if ~isempty(var)
    para.status=1;						% data have been loaded 
  end
