function 			manualfit(opt)
%% function 			manualfit(opt)
%% computes theoretical semi-variogram/correlogram using specified parameters on the panel
%%	opt = 1				% get model parameters from variogram window panel
%%			2				% get model parameters from variable struct
%%
%%  Kriging Software Package  version 2.0,   October 29, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

global hdl para data

n=3;						% number of digits
if para.status >= 1.5			% Data-based Semi-Variogram or Correlogram has been computed
	if opt == 1
		[model,nugt,sill,lscl,powr,hole]=getvariopara;
   else
		model=para.vario.model;
		nugt=para.vario.nugt;
		sill=para.vario.sill;
		lscl=para.vario.lscl;
		powr=para.vario.powr;
		hole=para.vario.hole;
		set(hdl.vario.nugt_edit,'String',num2str_n(para.vario.nugt,n));
		set(hdl.vario.sill_edit,'String',num2str_n(para.vario.sill,n));
		set(hdl.vario.lscl_edit,'String',num2str_n(para.vario.lscl,n));
		set(hdl.vario.powr_edit,'String',num2str_n(para.vario.powr,n));
		set(hdl.vario.hole_edit,'String',num2str_n(para.vario.hole,n));
      getvariopara;
	end
	model_para=[nugt sill lscl powr hole];
	setvariopara(1);							% set slider positions only
	lag=data.out.vario.lag;
	range=str2num(get(hdl.vario.range_edit,'String'));
	indx=find(lag <= range);
	data.out.vario.lag_theo=data.out.vario.lag(indx);
	data.out.vario.gammah_theo=variogrammodel(model,data.out.vario.lag_theo,model_para);
	plot1d_vario_corr(2)
	para.status=2;
else
   message(1,['Select ''Compute'' Button to compute Data-based Semi-Variogram/Correlogram from the data']);  
end

