function		plot1d_vario_corr(opt)
%% plot 1-D semi-variogram or correlogram 
%		opt = 1		plot data only
%           2     plot theoretical model only

%%  Kriging Software Package  version 2.0,   October 29, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

global para hdl data

subplot(hdl.vario.axes1);
switch opt
	case 1				% data only
       if para.status >= 2  
			hdl_vario1d=findobj(hdl.vario.axes1,'type','line');
			for i=1:length(hdl_vario1d)
				if strcmp(get(hdl_vario1d(i),'linestyle'),'none')
					delete(hdl.vario.data_plot); 
				end
			end
			hold on
		end
      if get(hdl.vario.variogram,'Value') == 1 
         hdl.vario.data_plot=plot(data.out.vario.lag,data.out.vario.gammah,'o');
      	hy=ylabel('Semi-Variogram');
         ymin=min(data.out.vario.gammah);
 		else
      	hdl.vario.data_plot=plot(data.out.vario.lag,1-data.out.vario.gammah,'o');
      	hy=ylabel('Correlogram');   
         ymin=min(1-data.out.vario.gammah);
      end
      hold off
   case 2				% theoretical curve
      if para.status >= 2  
			hdl_vario1d=findobj(hdl.vario.axes1,'type','line');
			for i=1:length(hdl_vario1d)
				if strcmp(get(hdl_vario1d(i),'linestyle'),'-')
					delete(hdl.vario.theo_plot); 
				end
			end
		end
      hold on
		if get(hdl.vario.variogram,'Value') == 1
			hdl.vario.theo_plot=plot(data.out.vario.lag_theo,data.out.vario.gammah_theo,'r', ...
					'linewidth',1.5);
      	hy=ylabel('Semi-Variogram');
         ymin=min(min(data.out.vario.gammah_theo),min(data.out.vario.gammah));
  		else
			hdl.vario.theo_plot=plot(data.out.vario.lag_theo,1-data.out.vario.gammah_theo,'r', ...
					'linewidth',1.5);
      	hy=ylabel('Correlogram');   
         ymin=min(min(1-data.out.vario.gammah_theo),min(1-data.out.vario.gammah));
  		end
		hold off
end
hx=xlabel(para.vario.xlabel);
set([hx hy],'fontsize',12,'fontweight','bold');
para.vario.disp_range=get(hdl.vario.disp_range_slider,'Value')*para.vario.max_range;
set(hdl.vario.axes1,'xlim',[0 para.vario.disp_range]);
para.vario.disp_value=get(hdl.vario.disp_value_slider,'Value')*para.vario.max_value;

set(hdl.vario.axes1,'ylim',[min(0,ymin) para.vario.disp_value]);

