function		plot2d_vario_corr(opt)
%% function		plot2d_vario_corr(opt)
%% plots 2-D semi-variogram or correlogram images
%%
%%  Kriging Software Package  version 2.0,   October 29, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

global para hdl data

subplot(hdl.vario.axes2);

vario_corr=data.out.vario.gammah2d;
x=data.out.vario.x;
y=data.out.vario.y;
[m,n]=size(vario_corr);
vario_corr(m+1,:)=vario_corr(1,:);
vario_corr(m+2:2*m+2,1:n)=vario_corr;
x(m+1,:)=-x(1,:);
x(m+2:2*m+2,1:n)=-x;
y(m+1,:)=y(1,:);
y(m+2:2*m+2,1:n)=-y;

subplot(hdl.vario.axes2);
if get(hdl.vario.variogram,'Value') == 1
	hdl.vario.plot2d=pcolor(x,y,vario_corr);
else
	hdl.vario.plot2d=pcolor(x,y,1-vario_corr);
end
shading interp;
shading flat
hdl.vario.colorbar2=colorbar;
axis off
axis equal
set(hdl.vario.colorbar2,'Tag','variogramcolorbar');

hdl.vario.htxt2d(1)=text(1.2,0,'0^o');
hdl.vario.htxt2d(2)=text(0,1.2,'90^o');
hdl.vario.htxt2d(3)=text(-1.4,0,'180^o');
hdl.vario.htxt2d(4)=text(0,-1.2,'270^o');
set(hdl.vario.htxt2d,'fontweight','bold','fontsize',12);