function setkrigpara(opt)
%% function setkrigpara(opt)
% sets DeFault Kriging Parameters
%% opt = 0   'Refresh' button, and then set opt=1
%% opt = 1   set krig window parameter from krig variable struct
%% opt = 2	 set krig variable struct from krig window settings
%%
%%  Kriging Software Package  version 2.0,   October 29, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.


global hdl para data

if opt == 0 
  getdefaultkrigpara
  opt=1;
end
  
if opt == 1				% set krig window parameter from krig variable struct
%% coordinates
   if para.status < 1 | ~isfield(data,'in')
   	fileID=' ';
     	para.dataprep.x_norm=1;
		para.dataprep.y_norm=1;
		para.dataprep.x_offset=0;
		para.dataprep.y_offset=0;
		para.dataprep.latlonfac=1;
 	   para.dataprep.fileID=fileID;
  else
 	   fileID=para.dataprep.fileID;
  end
	set(hdl.krig.fileID,'string',fileID);
   xmin=min(para.krig.xmin*para.dataprep.x_norm./para.dataprep.latlonfac)+para.dataprep.x_offset;
	xmax=max(para.krig.xmax*para.dataprep.x_norm./para.dataprep.latlonfac)+para.dataprep.x_offset;
	set(hdl.krig.xmin,'string',xmin);
	set(hdl.krig.xmax,'string',xmax);
	dx=para.krig.dx*para.dataprep.x_norm;
	set(hdl.krig.dx,'string',dx);
   ymin=para.krig.ymin*para.dataprep.y_norm+para.dataprep.y_offset;
	set(hdl.krig.ymin,'string',ymin);
	ymax=para.krig.ymax*para.dataprep.y_norm+para.dataprep.y_offset;
	set(hdl.krig.ymax,'string',ymax);
	dy=para.krig.dy*para.dataprep.y_norm;
	set(hdl.krig.dy,'string',dy);
		
%% kriging parameters
	set(hdl.krig.model,'value',para.krig.model);
	set(hdl.krig.scheme,'value',para.krig.scheme);
	set(hdl.krig.blk_nx,'string',para.krig.blk_nx);
	set(hdl.krig.blk_ny,'string',para.krig.blk_ny);
	if para.status >= 1
      dx_norm=para.krig.xmax-para.krig.xmin;
      dy_norm=para.krig.ymax-para.krig.ymin;
		para.krig.srad=0.03*round(sqrt(dx_norm^2+dy_norm^2)*10);
   end
	set(hdl.krig.srad,'string',para.krig.srad);
	set(hdl.krig.kmin,'string',para.krig.kmin);
	set(hdl.krig.kmax,'string',para.krig.kmax);
	set(hdl.krig.elim,'string',para.krig.elim);

%% loading/saving parameters file
	set(hdl.krig.load_para,'value',para.krig.load_para);
	set(hdl.krig.save_para,'value',para.krig.save_para);
   if para.krig.load_para == 0
	  set(hdl.krig.vario_para,'value',para.krig.vario_para,'enable','off');
	  set(hdl.krig.krig_para,'value',para.krig.krig_para,'enable','off');
	  set(hdl.krig.both_para,'value',para.krig.both_para,'enable','off');
     if para.krig.save_para == 0
	     set(hdl.krig.para_file_browser,'enable','off');
	  else
	     set(hdl.krig.para_file_browser,'enable','on');
	  end
   end

%% load data file
	set(hdl.krig.load_data_file,'value',0);
	set(hdl.krig.data_file_browser,'enable','off');
	set(hdl.krig.data_file,'visible','off');
else  		%set paramerter from window selections
   xmin=str2num(get(hdl.krig.xmin,'string'));
   xmax=str2num(get(hdl.krig.xmax,'string'));
   dx=str2num(get(hdl.krig.dx,'string'));
   ymin=str2num(get(hdl.krig.ymin,'string'));
   ymax=str2num(get(hdl.krig.ymax,'string'));
   dy=str2num(get(hdl.krig.dy,'string'));
   para.krig.xmin=(xmin-para.dataprep.x_offset)/para.dataprep.x_norm;
   para.krig.xmax=(xmax-para.dataprep.x_offset)/para.dataprep.x_norm;
   para.krig.dx=dx/para.dataprep.x_norm;
   para.krig.ymin=(ymin-para.dataprep.y_offset)/para.dataprep.y_norm;
   para.krig.ymax=(ymax-para.dataprep.y_offset)/para.dataprep.y_norm;
	para.krig.dy=dy/para.dataprep.y_norm;

   para.krig.model=get(hdl.krig.model,'value');
   para.krig.scheme=get(hdl.krig.scheme,'value');
   if para.krig.scheme == 2
	     para.krig.blk_nx=str2num(get(hdl.krig.blk_nx,'string'));
	     para.krig.blk_ny=str2num(get(hdl.krig.blk_ny,'string'));
   end
   para.krig.srad=str2num(get(hdl.krig.srad,'string'));
   para.krig.kmin=str2num(get(hdl.krig.kmin,'string'));
   para.krig.kmax=str2num(get(hdl.krig.kmax,'string'));
   para.krig.elim=str2num(get(hdl.krig.elim,'string'));

end
