function   slider_action(window_index,option)
% function   slider_action(window_index,option)
%% changes corresponding edit field based on the slider position and update 
%% the theoretical model curve.
%
%%  Kriging Software Package  version 2.0,   October 29, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

EPS=1e-10;
global para hdl data
n=3;					% number of digits
switch window_index
	case 2				% variogram / correlogram window
		switch option
			case 1			% nugget
				para.vario.nugt=para.vario.max_nugt*get(hdl.vario.nugt_slider,'value');
				set(hdl.vario.nugt_edit,'String',num2str_n(para.vario.nugt,n));			
			case 2			% sill
				para.vario.sill=para.vario.max_sill*get(hdl.vario.sill_slider,'value');
				set(hdl.vario.sill_edit,'String',num2str_n(para.vario.sill,n));
			case 3			% length scale
				para.vario.lscl=para.vario.max_lscl*get(hdl.vario.lscl_slider,'value');
				set(hdl.vario.lscl_edit,'String',num2str_n(para.vario.lscl,n));
			case 4			% power
				para.vario.powr=para.vario.max_powr*get(hdl.vario.powr_slider,'value');
				set(hdl.vario.powr_edit,'String',num2str_n(para.vario.powr,n));
			case 5			% hole effect
				para.vario.hole=para.vario.max_hole*get(hdl.vario.hole_slider,'value');
				set(hdl.vario.hole_edit,'String',num2str_n(para.vario.hole,n));
			case 6			% range
				para.vario.range=para.vario.max_range*get(hdl.vario.range_slider,'value');
				set(hdl.vario.range_edit,'String',num2str_n(para.vario.range,n));
			case 7			% display range
				para.vario.disp_range=get(hdl.vario.disp_range_slider,'Value')*para.vario.max_range;
            xmax=max(para.vario.disp_range, min(get(hdl.vario.axes1,'xlim'))+EPS);
				set(hdl.vario.axes1,'xlim',[0 xmax]);
				return
			case 8			% display value
				para.vario.disp_value=get(hdl.vario.disp_value_slider,'Value')*para.vario.max_value;
            ymax=max(para.vario.disp_value, min(get(hdl.vario.axes1,'ylim'))+EPS);
				set(hdl.vario.axes1,'ylim',[min(get(hdl.vario.axes1,'ylim')) ymax]);
				return
		end
end     
if isfield(data,'out')
  if isfield(data.out,'vario')
   if isfield(data.out.vario,'lag')	% data-based semi-variogram/correlogram has been computed
      manualfit(1);				% get other parameters and update the theoretical curve
   end
  end
end
