%
function	initialization()

global para color data hdl


curDir=pwd;							% current directory
para.curDir=curDir;
cmd=['which(''startkrig'')'];
startfilename=eval(cmd);
indx=find(startfilename == '.');
HDIR=startfilename(1:max(indx)-11);
DirBackslash=length(find(HDIR == '\'));
DirColon=length(find(HDIR == ':'));
DirSlash=length(find(HDIR == '/'));
HDIRpath=['' HDIR ''];
%cmd=['cd ' '' HDIRpath ''];eval(cmd)

if DirBackslash >= 1			% WINDOWS
   DirMark='\';
   AddPathCmd=['addpath '  ''''HDIRpath '\krig_lib'''  ' '''HDIRpath '\gui_lib''' ' '''HDIRpath '\images''' ...
               ' '''HDIRpath '\online_help''' ' '''HDIRpath '\bin'''  ' -end'];
   PlatForm=1;
   markersize=6;
elseif DirColon >= 1			% MAC
   DirMark=':';
   AddPathCmd=['addpath '  ''''HDIRpath ':krig_lib'''  ' '''HDIRpath ':gui_lib''' ' '''HDIRpath ':images''' ...
               ' '''HDIRpath ':online_help''' ' '''HDIRpath ':bin'''  ' -end'];
   PlatForm=2;
   markersize=8;
elseif DirSlash >= 1			% UNIX
   DirMark='/';
   AddPathCmd=['addpath '  ''''HDIRpath '/krig_lib'''  ' '''HDIRpath '/gui_lib''' ' '''HDIRpath '/images''' ...
               ' '''HDIRpath '/online_help''' ' '''HDIRpath '/bin'''  ' -end'];
   PlatForm=3;  
   markersize=8;
end
eval(AddPathCmd)

%% Optimization Toolbox
OptimOption=0;
pp=path;
pindx=find(pp == DirMark);
if pindx+5 <= length(pp)
   ppl=length(pindx);
else
   ppl=length(pindx)-1;
end
for i=1:ppl
   StrIndx=pindx(i)+1:pindx(i)+5;
   if max(StrIndx) <= length(pp)
     DirStr=pp(StrIndx);
     if DirStr == 'optim'
       OptimOption=1;
     end
   end
end
close

% set parameters
para.home_dir=HDIR;
para.platform=PlatForm;
para.optim=OptimOption;
para.status=0;
para.dataprep.filename='';
para.vario.max_nugt=1;
para.vario.max_sill=1.5;
para.vario.max_powr=4.0;
para.vario.max_range=sqrt(2);			% normalized range
para.vario.max_hole=4*pi/para.vario.max_range;
para.vario.max_lscl=para.vario.max_range;
para.vario.load_para=0;
para.vario.para_file='';
para.krig.load_para=0;
para.krig.vario_para=0;
para.krig.krig_para=0;
para.krig.both_para=1;
para.krig.para_file_in='';
para.krig.load_data_file=0;
para.krig.batch_file_proc=0;
para.krig.bat_proc_cnt=0;
para.krig.data_file='';
para.dispkrig.markersize=markersize;

% color
color.grey=[0.75 0.75 0.75];
color.dark_grey=[0.65 0.65 0.65];
color.blue=[0.753 0.753 0.753];
data=[];

% graphic handle
hdl.object.edit_w=0.04;
hdl.object.pushbtn_w=0.05;
hdl.object.pushbtn_l=0.14;
hdl.object.popmenu=0.04;
hdl.object.radio_w=0.03;
hdl.object.txt_w8=0.03;
hdl.object.txt_w10=0.05;

warning off

%cmd=['cd ' '' curDir ''];				% back to current directory
