function   datachk(opt)
%% function   datachk(opt)
%% performs several operations on the original data
%% 1. check raw data to remove overlapping data points	
%% 2. data sub-sampling using the specified filter 
%% 3. coordinate conversion 
%%	opt = 1			called from data preparation window
%%			2			called from kriging window
%%
%%  EasyKrig Software Package  version 2.0,   October 1, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.
%%
%%  Modified on 2/4/00  process to handle batch processing

global para data hdl

DEG2RAD=pi/180;
x=data.in.var1;
y=data.in.var2;
var=data.in.var;

%		save the original raw data
data.in.var1_raw=data.in.var1;
data.in.var2_raw=data.in.var2;
data.in.var_raw=data.in.var;

% remove data points that have the same coordinates
r=sqrt(diff(x).^2+diff(y).^2);
rmin=0.01*mean(r);
indxs=find(r < rmin);
if ~isempty(indxs)
  x(indxs)=[];
  y(indxs)=[];
  var(indxs)=[];
end

data.in.var1=x;
data.in.var2=y;
data.in.var=var;

data.in.x=x;
data.in.y=y;
data.in.v=var;

% data reduction
datareduction(opt);

%%%%%%  data x-y scale normalization (0-1)%%%%%%
if para.krig.batch_file_proc == 0 | ...
   (para.krig.batch_file_proc == 1 & para.krig.bat_proc_cnt == 1)
	para.dataprep.x_norm=max(x)-min(x);
	para.dataprep.x_offset=mean_nan(x);
	para.dataprep.y_norm=max(y)-min(y);
	para.dataprep.y_offset=mean_nan(y);
end
if ~isfield(para.dataprep,'file_col1_index')
  para.dataprep.file_col1_index = 2;
  para.dataprep.file_col2_index = 1;
end

if para.dataprep.file_col1_index <= 2 & para.dataprep.file_col2_index <= 2   % Long/Lat
    para.dataprep.latlonfac=cos(DEG2RAD*data.in.y);
else
	 para.dataprep.latlonfac=1;
end
data.in.x=(data.in.x-para.dataprep.x_offset).*para.dataprep.latlonfac./para.dataprep.x_norm;
data.in.y=(data.in.y-para.dataprep.y_offset)/para.dataprep.y_norm;
%if opt == 1 para.dataprep.ratio=str2num(get(hdl.dataprep.ratio,'string'));end
