function		help_message(msg,name,color);
%% display help message

global  hdl

[n m]=size(msg);

if n == 1
  n= ceil(m/50);
end

window_height=0.75;

 if nargin == 1
  name='';
  color=[0 0 0];
 elseif nargin == 2
  color=[0 0 0];
 end
 
if isfield(hdl,'help')
 if ~isempty(hdl.help) 
   figure(hdl.help.h0);
	set(hdl.help.h0,'name',name);
   clf;
 else
   hdl.help.h0 = figure('Color',[0.8 0.8 0.8], ...
      'Units','normalized', ...
		'name',name, ...
      'Position',[0.1 0.2 0.4 0.3]);
   set(gcf,'menubar','none');
 end
else
 hdl.help.h0 = figure('Color',[0.8 0.8 0.8], ...
      'Units','normalized', ...
		'name',name, ...
      'Position',[0.1 0.2 0.4 0.3]);
 set(gcf,'menubar','none');
end
 h1 = uicontrol('Parent',hdl.help.h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'Position',[0.1 0.85-window_height 0.8 window_height], ...
	'fontsize',10, ...
   'String',msg, ...
   'Style','Text');
 set(h1,'foregroundcolor',color)

h1 = uicontrol('Parent',hdl.help.h0, ...
	'Units','normalized', ...
	'Callback','hdl.help=[];close', ...
	'FontSize',9, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.80  0.05 0.1  0.1], ...
	'String','Quit');
