function      krig_help(index)
%% function      krig_help(index)
%% displays help file for kriging window
%%
%%  Kriging Software Package  version 2.0,   October 29, 1999
%%  Copyright (c) 1999, property of Dezhang Chu and Woods Hole Oceanographic
%%  Institution.  All Rights Reserved.

switch index
  case 1
     varname='Minimum Horizontal Range:';
     content=['Minimum horizontal coordinate value used in kriging computation. ' ...
              'The unit is defined by ''xunit'' selection in the Data Preparation window.'];
  case 2
     varname='Maximum Horizontal Range:';
     content=['Maximum horizontal coordinate value used in kriging computation. ' ...
              'The unit is defined by ''xunit'' selection in the Data Preparation window.'];
  case 3 
     varname='Horizontal Range Resolution:';
     content=['Horizontal separation between the center of the adjacent grids. ' ...
              'The unit is defined by ''xunit'' selection in the Data Preparation window.'];
  case 4
     varname='Minimum Vertical Range:';
     content=['Minimum vertical coordinate value used in kriging computation. ' ...
              'The unit is defined by ''yunit'' selection in the Data Preparation window.'];
  case 5
     varname='Maximum Vertical Range:';
     content=['Maximum vertical coordinate value used in kriging computation. ' ...
              'The unit is defined by ''yunit'' selection in the Data Preparation window.'];
  case 6
     varname='Vertical Range Resolution:';
     content=['Vertical separation between the center of the adjacent grids ' ...
              'The unit is defined by ''yunit'' selection in the Data Preparation window.'];
  case 7
     varname='Kriging Model:';
     content={'Model index for semi-variogram/correlogram specified in',
                  'the Variogram Panel.',
						'              ',
						'Objective Analysis:',
  						'        Objective analysis or Objective Mapping.',
 						'Ordinary Kriging:',
     					'        Objective Analysis, but with an additional constraint that the ',
       				'        summation of the weighting coefficents is unity. Ordinary Kriging ',
        				'        can handle the situation with an unknown constant mean.',
						'Universal Kriging:',
						'        Similar to the Ordinary Kriging, but with a linear ',
                 	'        drift mean within the kriging region.'};
  case 8
     varname='Kriging Scheme:';
     content={'Point to Point Kriging:'
						'      To estimate the value at a specified location.'
						'Point to Block Kriging:'
					   '      To estimate the value of a block centered at a specified location.'};
  case 9
     varname='Horizontal Block Size';
     content={'Number of sub-divisions in a grid block in horizontal direction.'};
  case 10
     varname='Vertical Block Size:';
     content={'Number of sub-divisions in a grid block in vertical direction.'};
  case 11
     varname='Search Radius:';
     content=['Search radius for kriging. This parameter specifies a circular ' ...
        'region within which the observed values are used to estimate ' ...
        'the value at a given location. However, if the number of observed data ' ...
        'points is less than the specified minimum kriging points or greater than the ' ...
        'specified maximum kriging points, it will be modified automatically to ' ...
        'satisfy the conditions involving the minimum and maximum kriging points.'  ...
        'The displayed number is a dimensionless value and is a fraction number of the ' ...
        'maximum normalized range, i.e., rmax=sqrt((xmax-xmin)^2+(ymax-ymin)^2). Since ' ...
        'normalized x and y are between -0.5 and 0.5, i.e., xmax-xmin = ymax-ymin = 1, ' ...
        'therefore rmax=sqrt(2)=1.414.'];
  case 12
     varname='Minimum Kriging Points:';
     content=['The minimum number of points used in kriging to estimate the ' ...
        'value at a specified location. If within a previously specified search ' ...
        'radius, the number of data points is less than the specified minimum ' ...
        'kriging points, the program automatically enlarges the search radius until ' ...
        'the condition of the minimum kriging point is met.'];
  case 13
     varname='Maximum Kriging Points:';
     content=['The maximum number of points used in kriging to estimate the ' ...
        'value at a specified location. If within a previously specified search ' ...
        'radius, the number of data points is greater than the specified maximum ' ...
        'kriging points, the program automatically reduces the search radius until ' ...
        'the condition of maximum kriging point is met.'];
  case 14
     varname='Relative Error:';
     content=['Kriging error normalized by the data variance at the ' ...
        'location where the kriging estimate is made.'];
  case 15
     varname='Load/Save Parameter File:';
     content=['There are three choices: loading either (1) semi-variogram parameter, or (2) ' ...
				  'kriging parameter only from the selected parameter file, or (3) loading ' ...
				  'both variogram and kriging parameters from the selected parameter file.'];
  case 16
     varname='Load Data File:';
     content=['Load the data file that will be pre-processed using existing parameters, such as data reduction ' ...
					'and transformation parameters.'];
  case 17
     varname='Batch Processing:';
     content=['Process a group of data files (batch processing) using the current ' ...
           'parameters and save a series of output files that correspond to each individual ' ...
           'input files. In additoin, all information regarding the batch process is saved to ' ...
           'a log file.'];
  case 18
     varname='Filename list file for batch Processing:';
     content=['Select a file that contains a list of names of the files to be batch processed using the current ' ...
					'parameters settings.'];
  case 19
     varname='Log filename for batch Processing:';
     content=['Select a file that will contain all log information for batch processing. ' ];
end
help_message(content,varname,[0 0 0]);